# GstRTCPBuffer

Note: The API in this module is not yet declared stable.

The GstRTPCBuffer helper functions makes it easy to parse and create regular GstBuffer objects that contain compound RTCP packets. These buffers are typically of 'application/x-rtcp' GstCaps.

An RTCP buffer consists of 1 or more GstRTCPPacket structures that you can retrieve with gst_rtcp_buffer_get_first_packet. GstRTCPPacket acts as a pointer into the RTCP buffer; you can move to the next packet with gst_rtcp_packet_move_to_next.

## GstRTCPBuffer

### Members

`buffer` (GstBuffer *) –
No description available
`map` (GstMapInfo) –
No description available

## GstRtp.RTCPBuffer

### Members

`buffer` (Gst.Buffer) –
No description available
`map` (Gst.MapInfo) –
No description available

## GstRtp.RTCPBuffer

### Members

`buffer` (Gst.Buffer) –
No description available
`map` (Gst.MapInfo) –
No description available

### Methods

#### gst_rtcp_buffer_add_packet

    gboolean
    gst_rtcp_buffer_add_packet (GstRTCPBuffer * rtcp,
                                GstRTCPType type,
                                GstRTCPPacket * packet)

Add a new packet of type to rtcp. packet will point to the newly created packet.

Parameters:

`rtcp` –

a valid RTCP buffer

`type` –

the GstRTCPType of the new packet

`packet` –

pointer to new packet

Returns –

TRUE if the packet could be created. This function returns FALSE if the max mtu is exceeded for the buffer.

#### GstRtp.RTCPBuffer.prototype.add_packet

    function GstRtp.RTCPBuffer.prototype.add_packet(type: GstRtp.RTCPType, packet: GstRtp.RTCPPacket): {
        // javascript wrapper for 'gst_rtcp_buffer_add_packet'
    }

Add a new packet of type to rtcp. packet will point to the newly created packet.

Parameters:

`rtcp` (GstRtp.RTCPBuffer) –

a valid RTCP buffer

`type` (GstRtp.RTCPType) –

the GstRtp.RTCPType of the new packet

`packet` (GstRtp.RTCPPacket) –

pointer to new packet

Returns (Number) –

true if the packet could be created. This function returns false if the max mtu is exceeded for the buffer.

#### GstRtp.RTCPBuffer.add_packet

    def GstRtp.RTCPBuffer.add_packet (self, type, packet):
        #python wrapper for 'gst_rtcp_buffer_add_packet'

Add a new packet of type to rtcp. packet will point to the newly created packet.

Parameters:

`rtcp` (GstRtp.RTCPBuffer) –

a valid RTCP buffer

`type` (GstRtp.RTCPType) –

the GstRtp.RTCPType of the new packet

`packet` (GstRtp.RTCPPacket) –

pointer to new packet

Returns (bool) –

True if the packet could be created. This function returns False if the max mtu is exceeded for the buffer.

#### gst_rtcp_buffer_get_first_packet

    gboolean
    gst_rtcp_buffer_get_first_packet (GstRTCPBuffer * rtcp,
                                      GstRTCPPacket * packet)

Initialize a new GstRTCPPacket pointer that points to the first packet in rtcp.

Parameters:

`rtcp` –

a valid RTCP buffer

`packet` –

a GstRTCPPacket

Returns –

TRUE if the packet existed in rtcp.

#### GstRtp.RTCPBuffer.prototype.get_first_packet

    function GstRtp.RTCPBuffer.prototype.get_first_packet(packet: GstRtp.RTCPPacket): {
        // javascript wrapper for 'gst_rtcp_buffer_get_first_packet'
    }

Initialize a new GstRtp.RTCPPacket pointer that points to the first packet in rtcp.

Parameters:

`rtcp` (GstRtp.RTCPBuffer) –

a valid RTCP buffer

`packet` (GstRtp.RTCPPacket) –

a GstRtp.RTCPPacket

Returns (Number) –

TRUE if the packet existed in rtcp.

#### GstRtp.RTCPBuffer.get_first_packet

    def GstRtp.RTCPBuffer.get_first_packet (self, packet):
        #python wrapper for 'gst_rtcp_buffer_get_first_packet'

Initialize a new GstRtp.RTCPPacket pointer that points to the first packet in rtcp.

Parameters:

`rtcp` (GstRtp.RTCPBuffer) –

a valid RTCP buffer

`packet` (GstRtp.RTCPPacket) –

a GstRtp.RTCPPacket

Returns (bool) –

TRUE if the packet existed in rtcp.

#### gst_rtcp_buffer_get_packet_count

    guint
    gst_rtcp_buffer_get_packet_count (GstRTCPBuffer * rtcp)

Get the number of RTCP packets in rtcp.

Parameters:

`rtcp` –

a valid RTCP buffer

Returns –

the number of RTCP packets in rtcp.

#### GstRtp.RTCPBuffer.prototype.get_packet_count

    function GstRtp.RTCPBuffer.prototype.get_packet_count(): {
        // javascript wrapper for 'gst_rtcp_buffer_get_packet_count'
    }

Get the number of RTCP packets in rtcp.

Parameters:

`rtcp` (GstRtp.RTCPBuffer) –

a valid RTCP buffer

Returns (Number) –

the number of RTCP packets in rtcp.

#### GstRtp.RTCPBuffer.get_packet_count

    def GstRtp.RTCPBuffer.get_packet_count (self):
        #python wrapper for 'gst_rtcp_buffer_get_packet_count'

Get the number of RTCP packets in rtcp.

Parameters:

`rtcp` (GstRtp.RTCPBuffer) –

a valid RTCP buffer

Returns (int) –

the number of RTCP packets in rtcp.

#### gst_rtcp_buffer_unmap

    gboolean
    gst_rtcp_buffer_unmap (GstRTCPBuffer * rtcp)

Finish rtcp after being constructed. This function is usually called after gst_rtcp_buffer_map and after adding the RTCP items to the new buffer.

The function adjusts the size of rtcp with the total length of all the added packets.

Parameters:

`rtcp` –

a buffer with an RTCP packet

Returns –
No description available

#### GstRtp.RTCPBuffer.prototype.unmap

    function GstRtp.RTCPBuffer.prototype.unmap(): {
        // javascript wrapper for 'gst_rtcp_buffer_unmap'
    }

Finish rtcp after being constructed. This function is usually called after GstRtp.RTCPBuffer.prototype.map and after adding the RTCP items to the new buffer.

The function adjusts the size of rtcp with the total length of all the added packets.

Parameters:

`rtcp` (GstRtp.RTCPBuffer) –

a buffer with an RTCP packet

Returns (Number) –
No description available

#### GstRtp.RTCPBuffer.unmap

    def GstRtp.RTCPBuffer.unmap (self):
        #python wrapper for 'gst_rtcp_buffer_unmap'

Finish rtcp after being constructed. This function is usually called after GstRtp.RTCPBuffer.map and after adding the RTCP items to the new buffer.

The function adjusts the size of rtcp with the total length of all the added packets.

Parameters:

`rtcp` (GstRtp.RTCPBuffer) –

a buffer with an RTCP packet

Returns (bool) –
No description available

### Functions

#### gst_rtcp_buffer_map

    gboolean
    gst_rtcp_buffer_map (GstBuffer * buffer,
                         GstMapFlags flags,
                         GstRTCPBuffer * rtcp)

Open buffer for reading or writing, depending on flags. The resulting RTCP buffer state is stored in rtcp.

Parameters:

`buffer` –

a buffer with an RTCP packet

`flags` –

flags for the mapping

`rtcp` –

resulting GstRTCPBuffer

Returns –
No description available

#### GstRtp.RTCPBuffer.prototype.map

    function GstRtp.RTCPBuffer.prototype.map(buffer: Gst.Buffer, flags: Gst.MapFlags, rtcp: GstRtp.RTCPBuffer): {
        // javascript wrapper for 'gst_rtcp_buffer_map'
    }

Open buffer for reading or writing, depending on flags. The resulting RTCP buffer state is stored in rtcp.

Parameters:

`buffer` (Gst.Buffer) –

a buffer with an RTCP packet

`flags` (Gst.MapFlags) –

flags for the mapping

`rtcp` (GstRtp.RTCPBuffer) –

resulting GstRtp.RTCPBuffer

Returns (Number) –
No description available

#### GstRtp.RTCPBuffer.map

    def GstRtp.RTCPBuffer.map (buffer, flags, rtcp):
        #python wrapper for 'gst_rtcp_buffer_map'

Open buffer for reading or writing, depending on flags. The resulting RTCP buffer state is stored in rtcp.

Parameters:

`buffer` (Gst.Buffer) –

a buffer with an RTCP packet

`flags` (Gst.MapFlags) –

flags for the mapping

`rtcp` (GstRtp.RTCPBuffer) –

resulting GstRtp.RTCPBuffer

Returns (bool) –
No description available

#### gst_rtcp_buffer_new

    GstBuffer *
    gst_rtcp_buffer_new (guint mtu)

Create a new buffer for constructing RTCP packets. The packet will have a maximum size of mtu.

Parameters:

`mtu` –

the maximum mtu size.

Returns –

A newly allocated buffer.

#### GstRtp.RTCPBuffer.prototype.new

    function GstRtp.RTCPBuffer.prototype.new(mtu: Number): {
        // javascript wrapper for 'gst_rtcp_buffer_new'
    }

Create a new buffer for constructing RTCP packets. The packet will have a maximum size of mtu.

Parameters:

`mtu` (Number) –

the maximum mtu size.

Returns (Gst.Buffer) –

A newly allocated buffer.

#### GstRtp.RTCPBuffer.new

    def GstRtp.RTCPBuffer.new (mtu):
        #python wrapper for 'gst_rtcp_buffer_new'

Create a new buffer for constructing RTCP packets. The packet will have a maximum size of mtu.

Parameters:

`mtu` (int) –

the maximum mtu size.

Returns (Gst.Buffer) –

A newly allocated buffer.

#### gst_rtcp_buffer_new_copy_data

    GstBuffer *
    gst_rtcp_buffer_new_copy_data (gconstpointer data,
                                   guint len)

Create a new buffer and set the data to a copy of len bytes of data and the size to len. The data will be freed when the buffer is freed.

Parameters:

`data` ( [array length=len][element-type guint8]) –

data for the new buffer

`len` –

the length of data

Returns –

A newly allocated buffer with a copy of data and of size len.

#### GstRtp.RTCPBuffer.prototype.new_copy_data

    function GstRtp.RTCPBuffer.prototype.new_copy_data(data: [ Number ], len: Number): {
        // javascript wrapper for 'gst_rtcp_buffer_new_copy_data'
    }

Create a new buffer and set the data to a copy of len bytes of data and the size to len. The data will be freed when the buffer is freed.

Parameters:

`data` ([ Number ]) –

data for the new buffer

`len` (Number) –

the length of data

Returns (Gst.Buffer) –

A newly allocated buffer with a copy of data and of size len.

#### GstRtp.RTCPBuffer.new_copy_data

    def GstRtp.RTCPBuffer.new_copy_data (data, len):
        #python wrapper for 'gst_rtcp_buffer_new_copy_data'

Create a new buffer and set the data to a copy of len bytes of data and the size to len. The data will be freed when the buffer is freed.

Parameters:

`data` ([ int ]) –

data for the new buffer

`len` (int) –

the length of data

Returns (Gst.Buffer) –

A newly allocated buffer with a copy of data and of size len.

#### gst_rtcp_buffer_new_take_data

    GstBuffer *
    gst_rtcp_buffer_new_take_data (gpointer data,
                                   guint len)

Create a new buffer and set the data and size of the buffer to data and len respectively. data will be freed when the buffer is unreffed, so this function transfers ownership of data to the new buffer.

Parameters:

`data` ( [array length=len][element-type guint8]) –

data for the new buffer

`len` –

the length of data

Returns –

A newly allocated buffer with data and of size len.

#### GstRtp.RTCPBuffer.prototype.new_take_data

    function GstRtp.RTCPBuffer.prototype.new_take_data(data: [ Number ], len: Number): {
        // javascript wrapper for 'gst_rtcp_buffer_new_take_data'
    }

Create a new buffer and set the data and size of the buffer to data and len respectively. data will be freed when the buffer is unreffed, so this function transfers ownership of data to the new buffer.

Parameters:

`data` ([ Number ]) –

data for the new buffer

`len` (Number) –

the length of data

Returns (Gst.Buffer) –

A newly allocated buffer with data and of size len.

#### GstRtp.RTCPBuffer.new_take_data

    def GstRtp.RTCPBuffer.new_take_data (data, len):
        #python wrapper for 'gst_rtcp_buffer_new_take_data'

Create a new buffer and set the data and size of the buffer to data and len respectively. data will be freed when the buffer is unreffed, so this function transfers ownership of data to the new buffer.

Parameters:

`data` ([ int ]) –

data for the new buffer

`len` (int) –

the length of data

Returns (Gst.Buffer) –

A newly allocated buffer with data and of size len.

#### gst_rtcp_buffer_validate

    gboolean
    gst_rtcp_buffer_validate (GstBuffer * buffer)

Check if the data pointed to by buffer is a valid RTCP packet using gst_rtcp_buffer_validate_data.

Parameters:

`buffer` –

the buffer to validate

Returns –

TRUE if buffer is a valid RTCP packet.

#### GstRtp.RTCPBuffer.prototype.validate

    function GstRtp.RTCPBuffer.prototype.validate(buffer: Gst.Buffer): {
        // javascript wrapper for 'gst_rtcp_buffer_validate'
    }

Check if the data pointed to by buffer is a valid RTCP packet using GstRtp.RTCPBuffer.prototype.validate_data.

Parameters:

`buffer` (Gst.Buffer) –

the buffer to validate

Returns (Number) –

TRUE if buffer is a valid RTCP packet.

#### GstRtp.RTCPBuffer.validate

    def GstRtp.RTCPBuffer.validate (buffer):
        #python wrapper for 'gst_rtcp_buffer_validate'

Check if the data pointed to by buffer is a valid RTCP packet using GstRtp.RTCPBuffer.validate_data.

Parameters:

`buffer` (Gst.Buffer) –

the buffer to validate

Returns (bool) –

TRUE if buffer is a valid RTCP packet.

#### gst_rtcp_buffer_validate_data

    gboolean
    gst_rtcp_buffer_validate_data (guint8 * data,
                                   guint len)

Check if the data and size point to the data of a valid compound, non-reduced size RTCP packet. Use this function to validate a packet before using the other functions in this module.

Parameters:

`data` ( [array length=len]) –

the data to validate

`len` –

the length of data to validate

Returns –

TRUE if the data points to a valid RTCP packet.

#### GstRtp.RTCPBuffer.prototype.validate_data

    function GstRtp.RTCPBuffer.prototype.validate_data(data: [ Number ], len: Number): {
        // javascript wrapper for 'gst_rtcp_buffer_validate_data'
    }

Check if the data and size point to the data of a valid compound, non-reduced size RTCP packet. Use this function to validate a packet before using the other functions in this module.

Parameters:

`data` ([ Number ]) –

the data to validate

`len` (Number) –

the length of data to validate

Returns (Number) –

TRUE if the data points to a valid RTCP packet.

#### GstRtp.RTCPBuffer.validate_data

    def GstRtp.RTCPBuffer.validate_data (data, len):
        #python wrapper for 'gst_rtcp_buffer_validate_data'

Check if the data and size point to the data of a valid compound, non-reduced size RTCP packet. Use this function to validate a packet before using the other functions in this module.

Parameters:

`data` ([ int ]) –

the data to validate

`len` (int) –

the length of data to validate

Returns (bool) –

TRUE if the data points to a valid RTCP packet.

#### gst_rtcp_buffer_validate_data_reduced

    gboolean
    gst_rtcp_buffer_validate_data_reduced (guint8 * data,
                                           guint len)

Check if the data and size point to the data of a valid RTCP packet. Use this function to validate a packet before using the other functions in this module.

This function is updated to support reduced size rtcp packets according to RFC 5506 and will validate full compound RTCP packets as well as reduced size RTCP packets.

Parameters:

`data` ( [array length=len]) –

the data to validate

`len` –

the length of data to validate

Returns –

TRUE if the data points to a valid RTCP packet.

Since : 1.6

#### GstRtp.RTCPBuffer.prototype.validate_data_reduced

    function GstRtp.RTCPBuffer.prototype.validate_data_reduced(data: [ Number ], len: Number): {
        // javascript wrapper for 'gst_rtcp_buffer_validate_data_reduced'
    }

Check if the data and size point to the data of a valid RTCP packet. Use this function to validate a packet before using the other functions in this module.

This function is updated to support reduced size rtcp packets according to RFC 5506 and will validate full compound RTCP packets as well as reduced size RTCP packets.

Parameters:

`data` ([ Number ]) –

the data to validate

`len` (Number) –

the length of data to validate

Returns (Number) –

TRUE if the data points to a valid RTCP packet.

Since : 1.6

#### GstRtp.RTCPBuffer.validate_data_reduced

    def GstRtp.RTCPBuffer.validate_data_reduced (data, len):
        #python wrapper for 'gst_rtcp_buffer_validate_data_reduced'

Check if the data and size point to the data of a valid RTCP packet. Use this function to validate a packet before using the other functions in this module.

This function is updated to support reduced size rtcp packets according to RFC 5506 and will validate full compound RTCP packets as well as reduced size RTCP packets.

Parameters:

`data` ([ int ]) –

the data to validate

`len` (int) –

the length of data to validate

Returns (bool) –

TRUE if the data points to a valid RTCP packet.

Since : 1.6

#### gst_rtcp_buffer_validate_reduced

    gboolean
    gst_rtcp_buffer_validate_reduced (GstBuffer * buffer)

Check if the data pointed to by buffer is a valid RTCP packet using gst_rtcp_buffer_validate_reduced.

Parameters:

`buffer` –

the buffer to validate

Returns –

TRUE if buffer is a valid RTCP packet.

Since : 1.6

#### GstRtp.RTCPBuffer.prototype.validate_reduced

    function GstRtp.RTCPBuffer.prototype.validate_reduced(buffer: Gst.Buffer): {
        // javascript wrapper for 'gst_rtcp_buffer_validate_reduced'
    }

Check if the data pointed to by buffer is a valid RTCP packet using GstRtp.RTCPBuffer.prototype.validate_reduced.

Parameters:

`buffer` (Gst.Buffer) –

the buffer to validate

Returns (Number) –

TRUE if buffer is a valid RTCP packet.

Since : 1.6

#### GstRtp.RTCPBuffer.validate_reduced

    def GstRtp.RTCPBuffer.validate_reduced (buffer):
        #python wrapper for 'gst_rtcp_buffer_validate_reduced'

Check if the data pointed to by buffer is a valid RTCP packet using GstRtp.RTCPBuffer.validate_reduced.

Parameters:

`buffer` (Gst.Buffer) –

the buffer to validate

Returns (bool) –

TRUE if buffer is a valid RTCP packet.

Since : 1.6

## GstRTCPPacket

Data structure that points to a packet at offset in buffer. The size of the structure is made public to allow stack allocations.

### Members

`rtcp` (GstRTCPBuffer *) –

pointer to RTCP buffer

`offset` (guint) –

offset of packet in buffer data

## GstRtp.RTCPPacket

Data structure that points to a packet at offset in buffer. The size of the structure is made public to allow stack allocations.

### Members

`rtcp` (GstRtp.RTCPBuffer) –

pointer to RTCP buffer

`offset` (Number) –

offset of packet in buffer data

## GstRtp.RTCPPacket

Data structure that points to a packet at offset in buffer. The size of the structure is made public to allow stack allocations.

### Members

`rtcp` (GstRtp.RTCPBuffer) –

pointer to RTCP buffer

`offset` (int) –

offset of packet in buffer data

### Methods

#### gst_rtcp_packet_add_profile_specific_ext

    gboolean
    gst_rtcp_packet_add_profile_specific_ext (GstRTCPPacket * packet,
                                              const guint8 * data,
                                              guint len)

Add profile-specific extension data to packet. If packet already contains profile-specific extension data will be appended to the existing extension.

Parameters:

`packet` –

a valid SR or RR GstRTCPPacket

`data` ( [array length=len][transfer: none]) –

profile-specific data

`len` –

length of the profile-specific data in bytes

Returns –

TRUE if the profile specific extension data was added.

Since : 1.10

#### GstRtp.RTCPPacket.prototype.add_profile_specific_ext

    function GstRtp.RTCPPacket.prototype.add_profile_specific_ext(data: [ Number ], len: Number): {
        // javascript wrapper for 'gst_rtcp_packet_add_profile_specific_ext'
    }

Add profile-specific extension data to packet. If packet already contains profile-specific extension data will be appended to the existing extension.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SR or RR GstRtp.RTCPPacket

`data` ([ Number ]) –

profile-specific data

`len` (Number) –

length of the profile-specific data in bytes

Returns (Number) –

true if the profile specific extension data was added.

Since : 1.10

#### GstRtp.RTCPPacket.add_profile_specific_ext

    def GstRtp.RTCPPacket.add_profile_specific_ext (self, data, len):
        #python wrapper for 'gst_rtcp_packet_add_profile_specific_ext'

Add profile-specific extension data to packet. If packet already contains profile-specific extension data will be appended to the existing extension.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SR or RR GstRtp.RTCPPacket

`data` ([ int ]) –

profile-specific data

`len` (int) –

length of the profile-specific data in bytes

Returns (bool) –

True if the profile specific extension data was added.

Since : 1.10

#### gst_rtcp_packet_add_rb

    gboolean
    gst_rtcp_packet_add_rb (GstRTCPPacket * packet,
                            guint32 ssrc,
                            guint8 fractionlost,
                            gint32 packetslost,
                            guint32 exthighestseq,
                            guint32 jitter,
                            guint32 lsr,
                            guint32 dlsr)

Add a new report block to packet with the given values.

Parameters:

`packet` –

a valid SR or RR GstRTCPPacket

`ssrc` –

data source being reported

`fractionlost` –

fraction lost since last SR/RR

`packetslost` –

the cumululative number of packets lost

`exthighestseq` –

the extended last sequence number received

`jitter` –

the interarrival jitter

`lsr` –

the last SR packet from this source

`dlsr` –

the delay since last SR packet

Returns –

TRUE if the packet was created. This function can return FALSE if the max MTU is exceeded or the number of report blocks is greater than GST_RTCP_MAX_RB_COUNT.

#### GstRtp.RTCPPacket.prototype.add_rb

    function GstRtp.RTCPPacket.prototype.add_rb(ssrc: Number, fractionlost: Number, packetslost: Number, exthighestseq: Number, jitter: Number, lsr: Number, dlsr: Number): {
        // javascript wrapper for 'gst_rtcp_packet_add_rb'
    }

Add a new report block to packet with the given values.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SR or RR GstRtp.RTCPPacket

`ssrc` (Number) –

data source being reported

`fractionlost` (Number) –

fraction lost since last SR/RR

`packetslost` (Number) –

the cumululative number of packets lost

`exthighestseq` (Number) –

the extended last sequence number received

`jitter` (Number) –

the interarrival jitter

`lsr` (Number) –

the last SR packet from this source

`dlsr` (Number) –

the delay since last SR packet

Returns (Number) –

true if the packet was created. This function can return false if the max MTU is exceeded or the number of report blocks is greater than GstRtp.RTCP_MAX_RB_COUNT.

#### GstRtp.RTCPPacket.add_rb

    def GstRtp.RTCPPacket.add_rb (self, ssrc, fractionlost, packetslost, exthighestseq, jitter, lsr, dlsr):
        #python wrapper for 'gst_rtcp_packet_add_rb'

Add a new report block to packet with the given values.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SR or RR GstRtp.RTCPPacket

`ssrc` (int) –

data source being reported

`fractionlost` (int) –

fraction lost since last SR/RR

`packetslost` (int) –

the cumululative number of packets lost

`exthighestseq` (int) –

the extended last sequence number received

`jitter` (int) –

the interarrival jitter

`lsr` (int) –

the last SR packet from this source

`dlsr` (int) –

the delay since last SR packet

Returns (bool) –

True if the packet was created. This function can return False if the max MTU is exceeded or the number of report blocks is greater than GstRtp.RTCP_MAX_RB_COUNT.

#### gst_rtcp_packet_app_get_data

    guint8 *
    gst_rtcp_packet_app_get_data (GstRTCPPacket * packet)

Get the application-dependent data attached to a RTPFB or PSFB packet.

Parameters:

`packet` –

a valid APP GstRTCPPacket

Returns –

A pointer to the data

Since : 1.10

#### GstRtp.RTCPPacket.prototype.app_get_data

    function GstRtp.RTCPPacket.prototype.app_get_data(): {
        // javascript wrapper for 'gst_rtcp_packet_app_get_data'
    }

Get the application-dependent data attached to a RTPFB or PSFB packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid APP GstRtp.RTCPPacket

Returns (Number) –

A pointer to the data

Since : 1.10

#### GstRtp.RTCPPacket.app_get_data

    def GstRtp.RTCPPacket.app_get_data (self):
        #python wrapper for 'gst_rtcp_packet_app_get_data'

Get the application-dependent data attached to a RTPFB or PSFB packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid APP GstRtp.RTCPPacket

Returns (int) –

A pointer to the data

Since : 1.10

#### gst_rtcp_packet_app_get_data_length

    guint16
    gst_rtcp_packet_app_get_data_length (GstRTCPPacket * packet)

Get the length of the application-dependent data attached to an APP packet.

Parameters:

`packet` –

a valid APP GstRTCPPacket

Returns –

The length of data in 32-bit words.

Since : 1.10

#### GstRtp.RTCPPacket.prototype.app_get_data_length

    function GstRtp.RTCPPacket.prototype.app_get_data_length(): {
        // javascript wrapper for 'gst_rtcp_packet_app_get_data_length'
    }

Get the length of the application-dependent data attached to an APP packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid APP GstRtp.RTCPPacket

Returns (Number) –

The length of data in 32-bit words.

Since : 1.10

#### GstRtp.RTCPPacket.app_get_data_length

    def GstRtp.RTCPPacket.app_get_data_length (self):
        #python wrapper for 'gst_rtcp_packet_app_get_data_length'

Get the length of the application-dependent data attached to an APP packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid APP GstRtp.RTCPPacket

Returns (int) –

The length of data in 32-bit words.

Since : 1.10

#### gst_rtcp_packet_app_get_name

    const gchar *
    gst_rtcp_packet_app_get_name (GstRTCPPacket * packet)

Get the name field of the APP packet.

Parameters:

`packet` –

a valid APP GstRTCPPacket

Returns –

The 4-byte name field, not zero-terminated.

Since : 1.10

#### GstRtp.RTCPPacket.prototype.app_get_name

    function GstRtp.RTCPPacket.prototype.app_get_name(): {
        // javascript wrapper for 'gst_rtcp_packet_app_get_name'
    }

Get the name field of the APP packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid APP GstRtp.RTCPPacket

Returns (String) –

The 4-byte name field, not zero-terminated.

Since : 1.10

#### GstRtp.RTCPPacket.app_get_name

    def GstRtp.RTCPPacket.app_get_name (self):
        #python wrapper for 'gst_rtcp_packet_app_get_name'

Get the name field of the APP packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid APP GstRtp.RTCPPacket

Returns (str) –

The 4-byte name field, not zero-terminated.

Since : 1.10

#### gst_rtcp_packet_app_get_ssrc

    guint32
    gst_rtcp_packet_app_get_ssrc (GstRTCPPacket * packet)

Get the SSRC/CSRC field of the APP packet.

Parameters:

`packet` –

a valid APP GstRTCPPacket

Returns –

The SSRC/CSRC.

Since : 1.10

#### GstRtp.RTCPPacket.prototype.app_get_ssrc

    function GstRtp.RTCPPacket.prototype.app_get_ssrc(): {
        // javascript wrapper for 'gst_rtcp_packet_app_get_ssrc'
    }

Get the SSRC/CSRC field of the APP packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid APP GstRtp.RTCPPacket

Returns (Number) –

The SSRC/CSRC.

Since : 1.10

#### GstRtp.RTCPPacket.app_get_ssrc

    def GstRtp.RTCPPacket.app_get_ssrc (self):
        #python wrapper for 'gst_rtcp_packet_app_get_ssrc'

Get the SSRC/CSRC field of the APP packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid APP GstRtp.RTCPPacket

Returns (int) –

The SSRC/CSRC.

Since : 1.10

#### gst_rtcp_packet_app_get_subtype

    guint8
    gst_rtcp_packet_app_get_subtype (GstRTCPPacket * packet)

Get the subtype field of the APP packet.

Parameters:

`packet` –

a valid APP GstRTCPPacket

Returns –

The subtype.

Since : 1.10

#### GstRtp.RTCPPacket.prototype.app_get_subtype

    function GstRtp.RTCPPacket.prototype.app_get_subtype(): {
        // javascript wrapper for 'gst_rtcp_packet_app_get_subtype'
    }

Get the subtype field of the APP packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid APP GstRtp.RTCPPacket

Returns (Number) –

The subtype.

Since : 1.10

#### GstRtp.RTCPPacket.app_get_subtype

    def GstRtp.RTCPPacket.app_get_subtype (self):
        #python wrapper for 'gst_rtcp_packet_app_get_subtype'

Get the subtype field of the APP packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid APP GstRtp.RTCPPacket

Returns (int) –

The subtype.

Since : 1.10

#### gst_rtcp_packet_app_set_data_length

    gboolean
    gst_rtcp_packet_app_set_data_length (GstRTCPPacket * packet,
                                         guint16 wordlen)

Set the length of the application-dependent data attached to an APP packet.

Parameters:

`packet` –

a valid APP GstRTCPPacket

`wordlen` –

Length of the data in 32-bit words

Returns –

TRUE if there was enough space in the packet to add this much data.

Since : 1.10

#### GstRtp.RTCPPacket.prototype.app_set_data_length

    function GstRtp.RTCPPacket.prototype.app_set_data_length(wordlen: Number): {
        // javascript wrapper for 'gst_rtcp_packet_app_set_data_length'
    }

Set the length of the application-dependent data attached to an APP packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid APP GstRtp.RTCPPacket

`wordlen` (Number) –

Length of the data in 32-bit words

Returns (Number) –

true if there was enough space in the packet to add this much data.

Since : 1.10

#### GstRtp.RTCPPacket.app_set_data_length

    def GstRtp.RTCPPacket.app_set_data_length (self, wordlen):
        #python wrapper for 'gst_rtcp_packet_app_set_data_length'

Set the length of the application-dependent data attached to an APP packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid APP GstRtp.RTCPPacket

`wordlen` (int) –

Length of the data in 32-bit words

Returns (bool) –

True if there was enough space in the packet to add this much data.

Since : 1.10

#### gst_rtcp_packet_app_set_name

    gst_rtcp_packet_app_set_name (GstRTCPPacket * packet,
                                  const gchar * name)

Set the name field of the APP packet.

Parameters:

`packet` –

a valid APP GstRTCPPacket

`name` –

4-byte ASCII name

Since : 1.10

#### GstRtp.RTCPPacket.prototype.app_set_name

    function GstRtp.RTCPPacket.prototype.app_set_name(name: String): {
        // javascript wrapper for 'gst_rtcp_packet_app_set_name'
    }

Set the name field of the APP packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid APP GstRtp.RTCPPacket

`name` (String) –

4-byte ASCII name

Since : 1.10

#### GstRtp.RTCPPacket.app_set_name

    def GstRtp.RTCPPacket.app_set_name (self, name):
        #python wrapper for 'gst_rtcp_packet_app_set_name'

Set the name field of the APP packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid APP GstRtp.RTCPPacket

`name` (str) –

4-byte ASCII name

Since : 1.10

#### gst_rtcp_packet_app_set_ssrc

    gst_rtcp_packet_app_set_ssrc (GstRTCPPacket * packet,
                                  guint32 ssrc)

Set the SSRC/CSRC field of the APP packet.

Parameters:

`packet` –

a valid APP GstRTCPPacket

`ssrc` –

SSRC/CSRC of the packet

Since : 1.10

#### GstRtp.RTCPPacket.prototype.app_set_ssrc

    function GstRtp.RTCPPacket.prototype.app_set_ssrc(ssrc: Number): {
        // javascript wrapper for 'gst_rtcp_packet_app_set_ssrc'
    }

Set the SSRC/CSRC field of the APP packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid APP GstRtp.RTCPPacket

`ssrc` (Number) –

SSRC/CSRC of the packet

Since : 1.10

#### GstRtp.RTCPPacket.app_set_ssrc

    def GstRtp.RTCPPacket.app_set_ssrc (self, ssrc):
        #python wrapper for 'gst_rtcp_packet_app_set_ssrc'

Set the SSRC/CSRC field of the APP packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid APP GstRtp.RTCPPacket

`ssrc` (int) –

SSRC/CSRC of the packet

Since : 1.10

#### gst_rtcp_packet_app_set_subtype

    gst_rtcp_packet_app_set_subtype (GstRTCPPacket * packet,
                                     guint8 subtype)

Set the subtype field of the APP packet.

Parameters:

`packet` –

a valid APP GstRTCPPacket

`subtype` –

subtype of the packet

Since : 1.10

#### GstRtp.RTCPPacket.prototype.app_set_subtype

    function GstRtp.RTCPPacket.prototype.app_set_subtype(subtype: Number): {
        // javascript wrapper for 'gst_rtcp_packet_app_set_subtype'
    }

Set the subtype field of the APP packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid APP GstRtp.RTCPPacket

`subtype` (Number) –

subtype of the packet

Since : 1.10

#### GstRtp.RTCPPacket.app_set_subtype

    def GstRtp.RTCPPacket.app_set_subtype (self, subtype):
        #python wrapper for 'gst_rtcp_packet_app_set_subtype'

Set the subtype field of the APP packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid APP GstRtp.RTCPPacket

`subtype` (int) –

subtype of the packet

Since : 1.10

#### gst_rtcp_packet_bye_add_ssrc

    gboolean
    gst_rtcp_packet_bye_add_ssrc (GstRTCPPacket * packet,
                                  guint32 ssrc)

Add ssrc to the BYE packet.

Parameters:

`packet` –

a valid BYE GstRTCPPacket

`ssrc` –

an SSRC to add

Returns –

TRUE if the ssrc was added. This function can return FALSE if the max MTU is exceeded or the number of sources blocks is greater than GST_RTCP_MAX_BYE_SSRC_COUNT.

#### GstRtp.RTCPPacket.prototype.bye_add_ssrc

    function GstRtp.RTCPPacket.prototype.bye_add_ssrc(ssrc: Number): {
        // javascript wrapper for 'gst_rtcp_packet_bye_add_ssrc'
    }

Add ssrc to the BYE packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid BYE GstRtp.RTCPPacket

`ssrc` (Number) –

an SSRC to add

Returns (Number) –

true if the ssrc was added. This function can return false if the max MTU is exceeded or the number of sources blocks is greater than GstRtp.RTCP_MAX_BYE_SSRC_COUNT.

#### GstRtp.RTCPPacket.bye_add_ssrc

    def GstRtp.RTCPPacket.bye_add_ssrc (self, ssrc):
        #python wrapper for 'gst_rtcp_packet_bye_add_ssrc'

Add ssrc to the BYE packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid BYE GstRtp.RTCPPacket

`ssrc` (int) –

an SSRC to add

Returns (bool) –

True if the ssrc was added. This function can return False if the max MTU is exceeded or the number of sources blocks is greater than GstRtp.RTCP_MAX_BYE_SSRC_COUNT.

#### gst_rtcp_packet_bye_add_ssrcs

    gboolean
    gst_rtcp_packet_bye_add_ssrcs (GstRTCPPacket * packet,
                                   guint32 * ssrc,
                                   guint len)

Adds len SSRCs in ssrc to BYE packet.

Parameters:

`packet` –

a valid BYE GstRTCPPacket

`ssrc` ( [array length=len][transfer: none]) –

an array of SSRCs to add

`len` –

number of elements in ssrc

Returns –

TRUE if the all the SSRCs were added. This function can return FALSE if the max MTU is exceeded or the number of sources blocks is greater than GST_RTCP_MAX_BYE_SSRC_COUNT.

#### GstRtp.RTCPPacket.prototype.bye_add_ssrcs

    function GstRtp.RTCPPacket.prototype.bye_add_ssrcs(ssrc: [ Number ], len: Number): {
        // javascript wrapper for 'gst_rtcp_packet_bye_add_ssrcs'
    }

Adds len SSRCs in ssrc to BYE packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid BYE GstRtp.RTCPPacket

`ssrc` ([ Number ]) –

an array of SSRCs to add

`len` (Number) –

number of elements in ssrc

Returns (Number) –

true if the all the SSRCs were added. This function can return false if the max MTU is exceeded or the number of sources blocks is greater than GstRtp.RTCP_MAX_BYE_SSRC_COUNT.

#### GstRtp.RTCPPacket.bye_add_ssrcs

    def GstRtp.RTCPPacket.bye_add_ssrcs (self, ssrc, len):
        #python wrapper for 'gst_rtcp_packet_bye_add_ssrcs'

Adds len SSRCs in ssrc to BYE packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid BYE GstRtp.RTCPPacket

`ssrc` ([ int ]) –

an array of SSRCs to add

`len` (int) –

number of elements in ssrc

Returns (bool) –

True if the all the SSRCs were added. This function can return False if the max MTU is exceeded or the number of sources blocks is greater than GstRtp.RTCP_MAX_BYE_SSRC_COUNT.

#### gst_rtcp_packet_bye_get_nth_ssrc

    guint32
    gst_rtcp_packet_bye_get_nth_ssrc (GstRTCPPacket * packet,
                                      guint nth)

Get the nth SSRC of the BYE packet.

Parameters:

`packet` –

a valid BYE GstRTCPPacket

`nth` –

the nth SSRC to get

Returns –

The nth SSRC of packet.

#### GstRtp.RTCPPacket.prototype.bye_get_nth_ssrc

    function GstRtp.RTCPPacket.prototype.bye_get_nth_ssrc(nth: Number): {
        // javascript wrapper for 'gst_rtcp_packet_bye_get_nth_ssrc'
    }

Get the nth SSRC of the BYE packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid BYE GstRtp.RTCPPacket

`nth` (Number) –

the nth SSRC to get

Returns (Number) –

The nth SSRC of packet.

#### GstRtp.RTCPPacket.bye_get_nth_ssrc

    def GstRtp.RTCPPacket.bye_get_nth_ssrc (self, nth):
        #python wrapper for 'gst_rtcp_packet_bye_get_nth_ssrc'

Get the nth SSRC of the BYE packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid BYE GstRtp.RTCPPacket

`nth` (int) –

the nth SSRC to get

Returns (int) –

The nth SSRC of packet.

#### gst_rtcp_packet_bye_get_reason

    gchar *
    gst_rtcp_packet_bye_get_reason (GstRTCPPacket * packet)

Get the reason in packet.

Parameters:

`packet` –

a valid BYE GstRTCPPacket

Returns ( [nullable]) –

The reason for the BYE packet or NULL if the packet did not contain a reason string. The string must be freed with g_free after usage.

#### GstRtp.RTCPPacket.prototype.bye_get_reason

    function GstRtp.RTCPPacket.prototype.bye_get_reason(): {
        // javascript wrapper for 'gst_rtcp_packet_bye_get_reason'
    }

Get the reason in packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid BYE GstRtp.RTCPPacket

Returns (String) –

The reason for the BYE packet or NULL if the packet did not contain a reason string. The string must be freed with GLib.prototype.free after usage.

#### GstRtp.RTCPPacket.bye_get_reason

    def GstRtp.RTCPPacket.bye_get_reason (self):
        #python wrapper for 'gst_rtcp_packet_bye_get_reason'

Get the reason in packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid BYE GstRtp.RTCPPacket

Returns (str) –

The reason for the BYE packet or NULL if the packet did not contain a reason string. The string must be freed with GLib.free after usage.

#### gst_rtcp_packet_bye_get_reason_len

    guint8
    gst_rtcp_packet_bye_get_reason_len (GstRTCPPacket * packet)

Get the length of the reason string.

Parameters:

`packet` –

a valid BYE GstRTCPPacket

Returns –

The length of the reason string or 0 when there is no reason string present.

#### GstRtp.RTCPPacket.prototype.bye_get_reason_len

    function GstRtp.RTCPPacket.prototype.bye_get_reason_len(): {
        // javascript wrapper for 'gst_rtcp_packet_bye_get_reason_len'
    }

Get the length of the reason string.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid BYE GstRtp.RTCPPacket

Returns (Number) –

The length of the reason string or 0 when there is no reason string present.

#### GstRtp.RTCPPacket.bye_get_reason_len

    def GstRtp.RTCPPacket.bye_get_reason_len (self):
        #python wrapper for 'gst_rtcp_packet_bye_get_reason_len'

Get the length of the reason string.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid BYE GstRtp.RTCPPacket

Returns (int) –

The length of the reason string or 0 when there is no reason string present.

#### gst_rtcp_packet_bye_get_ssrc_count

    guint
    gst_rtcp_packet_bye_get_ssrc_count (GstRTCPPacket * packet)

Get the number of SSRC fields in packet.

Parameters:

`packet` –

a valid BYE GstRTCPPacket

Returns –

The number of SSRC fields in packet.

#### GstRtp.RTCPPacket.prototype.bye_get_ssrc_count

    function GstRtp.RTCPPacket.prototype.bye_get_ssrc_count(): {
        // javascript wrapper for 'gst_rtcp_packet_bye_get_ssrc_count'
    }

Get the number of SSRC fields in packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid BYE GstRtp.RTCPPacket

Returns (Number) –

The number of SSRC fields in packet.

#### GstRtp.RTCPPacket.bye_get_ssrc_count

    def GstRtp.RTCPPacket.bye_get_ssrc_count (self):
        #python wrapper for 'gst_rtcp_packet_bye_get_ssrc_count'

Get the number of SSRC fields in packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid BYE GstRtp.RTCPPacket

Returns (int) –

The number of SSRC fields in packet.

#### gst_rtcp_packet_bye_set_reason

    gboolean
    gst_rtcp_packet_bye_set_reason (GstRTCPPacket * packet,
                                    const gchar * reason)

Set the reason string to reason in packet.

Parameters:

`packet` –

a valid BYE GstRTCPPacket

`reason` –

a reason string

Returns –

TRUE if the string could be set.

#### GstRtp.RTCPPacket.prototype.bye_set_reason

    function GstRtp.RTCPPacket.prototype.bye_set_reason(reason: String): {
        // javascript wrapper for 'gst_rtcp_packet_bye_set_reason'
    }

Set the reason string to reason in packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid BYE GstRtp.RTCPPacket

`reason` (String) –

a reason string

Returns (Number) –

TRUE if the string could be set.

#### GstRtp.RTCPPacket.bye_set_reason

    def GstRtp.RTCPPacket.bye_set_reason (self, reason):
        #python wrapper for 'gst_rtcp_packet_bye_set_reason'

Set the reason string to reason in packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid BYE GstRtp.RTCPPacket

`reason` (str) –

a reason string

Returns (bool) –

TRUE if the string could be set.

#### gst_rtcp_packet_copy_profile_specific_ext

    gboolean
    gst_rtcp_packet_copy_profile_specific_ext (GstRTCPPacket * packet,
                                               guint8 ** data,
                                               guint * len)

The profile-specific extension data is copied into a new allocated memory area data. This must be freed with g_free after usage.

Parameters:

`packet` –

a valid SR or RR GstRTCPPacket

`data` ( [out][array length=len]) –

result profile-specific data

`len` ( [out]) –

length of the profile-specific extension data

Returns –

TRUE if there was valid data.

Since : 1.10

#### GstRtp.RTCPPacket.prototype.copy_profile_specific_ext

    function GstRtp.RTCPPacket.prototype.copy_profile_specific_ext(): {
        // javascript wrapper for 'gst_rtcp_packet_copy_profile_specific_ext'
    }

The profile-specific extension data is copied into a new allocated memory area data. This must be freed with GLib.prototype.free after usage.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SR or RR GstRtp.RTCPPacket

Returns a tuple made of:

(Number ) –

true if there was valid data.

`data` ([ Number ] ) –

true if there was valid data.

`len` (Number ) –

true if there was valid data.

Since : 1.10

#### GstRtp.RTCPPacket.copy_profile_specific_ext

    def GstRtp.RTCPPacket.copy_profile_specific_ext (self):
        #python wrapper for 'gst_rtcp_packet_copy_profile_specific_ext'

The profile-specific extension data is copied into a new allocated memory area data. This must be freed with GLib.free after usage.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SR or RR GstRtp.RTCPPacket

Returns a tuple made of:

(bool ) –

True if there was valid data.

`data` ([ int ] ) –

True if there was valid data.

`len` (int ) –

True if there was valid data.

Since : 1.10

#### gst_rtcp_packet_fb_get_fci

    guint8 *
    gst_rtcp_packet_fb_get_fci (GstRTCPPacket * packet)

Get the Feedback Control Information attached to a RTPFB or PSFB packet.

Parameters:

`packet` –

a valid RTPFB or PSFB GstRTCPPacket

Returns –

a pointer to the FCI

#### GstRtp.RTCPPacket.prototype.fb_get_fci

    function GstRtp.RTCPPacket.prototype.fb_get_fci(): {
        // javascript wrapper for 'gst_rtcp_packet_fb_get_fci'
    }

Get the Feedback Control Information attached to a RTPFB or PSFB packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid RTPFB or PSFB GstRtp.RTCPPacket

Returns (Number) –

a pointer to the FCI

#### GstRtp.RTCPPacket.fb_get_fci

    def GstRtp.RTCPPacket.fb_get_fci (self):
        #python wrapper for 'gst_rtcp_packet_fb_get_fci'

Get the Feedback Control Information attached to a RTPFB or PSFB packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid RTPFB or PSFB GstRtp.RTCPPacket

Returns (int) –

a pointer to the FCI

#### gst_rtcp_packet_fb_get_fci_length

    guint16
    gst_rtcp_packet_fb_get_fci_length (GstRTCPPacket * packet)

Get the length of the Feedback Control Information attached to a RTPFB or PSFB packet.

Parameters:

`packet` –

a valid RTPFB or PSFB GstRTCPPacket

Returns –

The length of the FCI in 32-bit words.

#### GstRtp.RTCPPacket.prototype.fb_get_fci_length

    function GstRtp.RTCPPacket.prototype.fb_get_fci_length(): {
        // javascript wrapper for 'gst_rtcp_packet_fb_get_fci_length'
    }

Get the length of the Feedback Control Information attached to a RTPFB or PSFB packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid RTPFB or PSFB GstRtp.RTCPPacket

Returns (Number) –

The length of the FCI in 32-bit words.

#### GstRtp.RTCPPacket.fb_get_fci_length

    def GstRtp.RTCPPacket.fb_get_fci_length (self):
        #python wrapper for 'gst_rtcp_packet_fb_get_fci_length'

Get the length of the Feedback Control Information attached to a RTPFB or PSFB packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid RTPFB or PSFB GstRtp.RTCPPacket

Returns (int) –

The length of the FCI in 32-bit words.

#### gst_rtcp_packet_fb_get_media_ssrc

    guint32
    gst_rtcp_packet_fb_get_media_ssrc (GstRTCPPacket * packet)

Get the media SSRC field of the RTPFB or PSFB packet.

Parameters:

`packet` –

a valid RTPFB or PSFB GstRTCPPacket

Returns –

the media SSRC.

#### GstRtp.RTCPPacket.prototype.fb_get_media_ssrc

    function GstRtp.RTCPPacket.prototype.fb_get_media_ssrc(): {
        // javascript wrapper for 'gst_rtcp_packet_fb_get_media_ssrc'
    }

Get the media SSRC field of the RTPFB or PSFB packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid RTPFB or PSFB GstRtp.RTCPPacket

Returns (Number) –

the media SSRC.

#### GstRtp.RTCPPacket.fb_get_media_ssrc

    def GstRtp.RTCPPacket.fb_get_media_ssrc (self):
        #python wrapper for 'gst_rtcp_packet_fb_get_media_ssrc'

Get the media SSRC field of the RTPFB or PSFB packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid RTPFB or PSFB GstRtp.RTCPPacket

Returns (int) –

the media SSRC.

#### gst_rtcp_packet_fb_get_sender_ssrc

    guint32
    gst_rtcp_packet_fb_get_sender_ssrc (GstRTCPPacket * packet)

Get the sender SSRC field of the RTPFB or PSFB packet.

Parameters:

`packet` –

a valid RTPFB or PSFB GstRTCPPacket

Returns –

the sender SSRC.

#### GstRtp.RTCPPacket.prototype.fb_get_sender_ssrc

    function GstRtp.RTCPPacket.prototype.fb_get_sender_ssrc(): {
        // javascript wrapper for 'gst_rtcp_packet_fb_get_sender_ssrc'
    }

Get the sender SSRC field of the RTPFB or PSFB packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid RTPFB or PSFB GstRtp.RTCPPacket

Returns (Number) –

the sender SSRC.

#### GstRtp.RTCPPacket.fb_get_sender_ssrc

    def GstRtp.RTCPPacket.fb_get_sender_ssrc (self):
        #python wrapper for 'gst_rtcp_packet_fb_get_sender_ssrc'

Get the sender SSRC field of the RTPFB or PSFB packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid RTPFB or PSFB GstRtp.RTCPPacket

Returns (int) –

the sender SSRC.

#### gst_rtcp_packet_fb_get_type

    GstRTCPFBType
    gst_rtcp_packet_fb_get_type (GstRTCPPacket * packet)

Get the feedback message type of the FB packet.

Parameters:

`packet` –

a valid RTPFB or PSFB GstRTCPPacket

Returns –

The feedback message type.

#### GstRtp.RTCPPacket.prototype.fb_get_type

    function GstRtp.RTCPPacket.prototype.fb_get_type(): {
        // javascript wrapper for 'gst_rtcp_packet_fb_get_type'
    }

Get the feedback message type of the FB packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid RTPFB or PSFB GstRtp.RTCPPacket

Returns (GstRtp.RTCPFBType) –

The feedback message type.

#### GstRtp.RTCPPacket.fb_get_type

    def GstRtp.RTCPPacket.fb_get_type (self):
        #python wrapper for 'gst_rtcp_packet_fb_get_type'

Get the feedback message type of the FB packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid RTPFB or PSFB GstRtp.RTCPPacket

Returns (GstRtp.RTCPFBType) –

The feedback message type.

#### gst_rtcp_packet_fb_set_fci_length

    gboolean
    gst_rtcp_packet_fb_set_fci_length (GstRTCPPacket * packet,
                                       guint16 wordlen)

Set the length of the Feedback Control Information attached to a RTPFB or PSFB packet.

Parameters:

`packet` –

a valid RTPFB or PSFB GstRTCPPacket

`wordlen` –

Length of the FCI in 32-bit words

Returns –

TRUE if there was enough space in the packet to add this much FCI

#### GstRtp.RTCPPacket.prototype.fb_set_fci_length

    function GstRtp.RTCPPacket.prototype.fb_set_fci_length(wordlen: Number): {
        // javascript wrapper for 'gst_rtcp_packet_fb_set_fci_length'
    }

Set the length of the Feedback Control Information attached to a RTPFB or PSFB packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid RTPFB or PSFB GstRtp.RTCPPacket

`wordlen` (Number) –

Length of the FCI in 32-bit words

Returns (Number) –

true if there was enough space in the packet to add this much FCI

#### GstRtp.RTCPPacket.fb_set_fci_length

    def GstRtp.RTCPPacket.fb_set_fci_length (self, wordlen):
        #python wrapper for 'gst_rtcp_packet_fb_set_fci_length'

Set the length of the Feedback Control Information attached to a RTPFB or PSFB packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid RTPFB or PSFB GstRtp.RTCPPacket

`wordlen` (int) –

Length of the FCI in 32-bit words

Returns (bool) –

True if there was enough space in the packet to add this much FCI

#### gst_rtcp_packet_fb_set_media_ssrc

    gst_rtcp_packet_fb_set_media_ssrc (GstRTCPPacket * packet,
                                       guint32 ssrc)

Set the media SSRC field of the RTPFB or PSFB packet.

Parameters:

`packet` –

a valid RTPFB or PSFB GstRTCPPacket

`ssrc` –

a media SSRC

#### GstRtp.RTCPPacket.prototype.fb_set_media_ssrc

    function GstRtp.RTCPPacket.prototype.fb_set_media_ssrc(ssrc: Number): {
        // javascript wrapper for 'gst_rtcp_packet_fb_set_media_ssrc'
    }

Set the media SSRC field of the RTPFB or PSFB packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid RTPFB or PSFB GstRtp.RTCPPacket

`ssrc` (Number) –

a media SSRC

#### GstRtp.RTCPPacket.fb_set_media_ssrc

    def GstRtp.RTCPPacket.fb_set_media_ssrc (self, ssrc):
        #python wrapper for 'gst_rtcp_packet_fb_set_media_ssrc'

Set the media SSRC field of the RTPFB or PSFB packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid RTPFB or PSFB GstRtp.RTCPPacket

`ssrc` (int) –

a media SSRC

#### gst_rtcp_packet_fb_set_sender_ssrc

    gst_rtcp_packet_fb_set_sender_ssrc (GstRTCPPacket * packet,
                                        guint32 ssrc)

Set the sender SSRC field of the RTPFB or PSFB packet.

Parameters:

`packet` –

a valid RTPFB or PSFB GstRTCPPacket

`ssrc` –

a sender SSRC

#### GstRtp.RTCPPacket.prototype.fb_set_sender_ssrc

    function GstRtp.RTCPPacket.prototype.fb_set_sender_ssrc(ssrc: Number): {
        // javascript wrapper for 'gst_rtcp_packet_fb_set_sender_ssrc'
    }

Set the sender SSRC field of the RTPFB or PSFB packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid RTPFB or PSFB GstRtp.RTCPPacket

`ssrc` (Number) –

a sender SSRC

#### GstRtp.RTCPPacket.fb_set_sender_ssrc

    def GstRtp.RTCPPacket.fb_set_sender_ssrc (self, ssrc):
        #python wrapper for 'gst_rtcp_packet_fb_set_sender_ssrc'

Set the sender SSRC field of the RTPFB or PSFB packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid RTPFB or PSFB GstRtp.RTCPPacket

`ssrc` (int) –

a sender SSRC

#### gst_rtcp_packet_fb_set_type

    gst_rtcp_packet_fb_set_type (GstRTCPPacket * packet,
                                 GstRTCPFBType type)

Set the feedback message type of the FB packet.

Parameters:

`packet` –

a valid RTPFB or PSFB GstRTCPPacket

`type` –

the GstRTCPFBType to set

#### GstRtp.RTCPPacket.prototype.fb_set_type

    function GstRtp.RTCPPacket.prototype.fb_set_type(type: GstRtp.RTCPFBType): {
        // javascript wrapper for 'gst_rtcp_packet_fb_set_type'
    }

Set the feedback message type of the FB packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid RTPFB or PSFB GstRtp.RTCPPacket

`type` (GstRtp.RTCPFBType) –

the GstRtp.RTCPFBType to set

#### GstRtp.RTCPPacket.fb_set_type

    def GstRtp.RTCPPacket.fb_set_type (self, type):
        #python wrapper for 'gst_rtcp_packet_fb_set_type'

Set the feedback message type of the FB packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid RTPFB or PSFB GstRtp.RTCPPacket

`type` (GstRtp.RTCPFBType) –

the GstRtp.RTCPFBType to set

#### gst_rtcp_packet_get_count

    guint8
    gst_rtcp_packet_get_count (GstRTCPPacket * packet)

Get the count field in packet.

Parameters:

`packet` –

a valid GstRTCPPacket

Returns –

The count field in packet or -1 if packet does not point to a valid packet.

#### GstRtp.RTCPPacket.prototype.get_count

    function GstRtp.RTCPPacket.prototype.get_count(): {
        // javascript wrapper for 'gst_rtcp_packet_get_count'
    }

Get the count field in packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid GstRtp.RTCPPacket

Returns (Number) –

The count field in packet or -1 if packet does not point to a valid packet.

#### GstRtp.RTCPPacket.get_count

    def GstRtp.RTCPPacket.get_count (self):
        #python wrapper for 'gst_rtcp_packet_get_count'

Get the count field in packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid GstRtp.RTCPPacket

Returns (int) –

The count field in packet or -1 if packet does not point to a valid packet.

#### gst_rtcp_packet_get_length

    guint16
    gst_rtcp_packet_get_length (GstRTCPPacket * packet)

Get the length field of packet. This is the length of the packet in 32-bit words minus one.

Parameters:

`packet` –

a valid GstRTCPPacket

Returns –

The length field of packet.

#### GstRtp.RTCPPacket.prototype.get_length

    function GstRtp.RTCPPacket.prototype.get_length(): {
        // javascript wrapper for 'gst_rtcp_packet_get_length'
    }

Get the length field of packet. This is the length of the packet in 32-bit words minus one.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid GstRtp.RTCPPacket

Returns (Number) –

The length field of packet.

#### GstRtp.RTCPPacket.get_length

    def GstRtp.RTCPPacket.get_length (self):
        #python wrapper for 'gst_rtcp_packet_get_length'

Get the length field of packet. This is the length of the packet in 32-bit words minus one.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid GstRtp.RTCPPacket

Returns (int) –

The length field of packet.

#### gst_rtcp_packet_get_padding

    gboolean
    gst_rtcp_packet_get_padding (GstRTCPPacket * packet)

Get the packet padding of the packet pointed to by packet.

Parameters:

`packet` –

a valid GstRTCPPacket

Returns –

If the packet has the padding bit set.

#### GstRtp.RTCPPacket.prototype.get_padding

    function GstRtp.RTCPPacket.prototype.get_padding(): {
        // javascript wrapper for 'gst_rtcp_packet_get_padding'
    }

Get the packet padding of the packet pointed to by packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid GstRtp.RTCPPacket

Returns (Number) –

If the packet has the padding bit set.

#### GstRtp.RTCPPacket.get_padding

    def GstRtp.RTCPPacket.get_padding (self):
        #python wrapper for 'gst_rtcp_packet_get_padding'

Get the packet padding of the packet pointed to by packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid GstRtp.RTCPPacket

Returns (bool) –

If the packet has the padding bit set.

#### gst_rtcp_packet_get_profile_specific_ext

    gboolean
    gst_rtcp_packet_get_profile_specific_ext (GstRTCPPacket * packet,
                                              guint8 ** data,
                                              guint * len)

Parameters:

`packet` –

a valid SR or RR GstRTCPPacket

`data` ( [out][array length=len][transfer: none]) –

result profile-specific data

`len` ( [out]) –

result length of the profile-specific data

Returns –

TRUE if there was valid data.

Since : 1.10

#### GstRtp.RTCPPacket.prototype.get_profile_specific_ext

    function GstRtp.RTCPPacket.prototype.get_profile_specific_ext(): {
        // javascript wrapper for 'gst_rtcp_packet_get_profile_specific_ext'
    }

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SR or RR GstRtp.RTCPPacket

Returns a tuple made of:

(Number ) –

true if there was valid data.

`data` ([ Number ] ) –

true if there was valid data.

`len` (Number ) –

true if there was valid data.

Since : 1.10

#### GstRtp.RTCPPacket.get_profile_specific_ext

    def GstRtp.RTCPPacket.get_profile_specific_ext (self):
        #python wrapper for 'gst_rtcp_packet_get_profile_specific_ext'

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SR or RR GstRtp.RTCPPacket

Returns a tuple made of:

(bool ) –

True if there was valid data.

`data` ([ int ] ) –

True if there was valid data.

`len` (int ) –

True if there was valid data.

Since : 1.10

#### gst_rtcp_packet_get_profile_specific_ext_length

    guint16
    gst_rtcp_packet_get_profile_specific_ext_length (GstRTCPPacket * packet)

Parameters:

`packet` –

a valid SR or RR GstRTCPPacket

Returns –

The number of 32-bit words containing profile-specific extension data from packet.

Since : 1.10

#### GstRtp.RTCPPacket.prototype.get_profile_specific_ext_length

    function GstRtp.RTCPPacket.prototype.get_profile_specific_ext_length(): {
        // javascript wrapper for 'gst_rtcp_packet_get_profile_specific_ext_length'
    }

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SR or RR GstRtp.RTCPPacket

Returns (Number) –

The number of 32-bit words containing profile-specific extension data from packet.

Since : 1.10

#### GstRtp.RTCPPacket.get_profile_specific_ext_length

    def GstRtp.RTCPPacket.get_profile_specific_ext_length (self):
        #python wrapper for 'gst_rtcp_packet_get_profile_specific_ext_length'

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SR or RR GstRtp.RTCPPacket

Returns (int) –

The number of 32-bit words containing profile-specific extension data from packet.

Since : 1.10

#### gst_rtcp_packet_get_rb

    gst_rtcp_packet_get_rb (GstRTCPPacket * packet,
                            guint nth,
                            guint32 * ssrc,
                            guint8 * fractionlost,
                            gint32 * packetslost,
                            guint32 * exthighestseq,
                            guint32 * jitter,
                            guint32 * lsr,
                            guint32 * dlsr)

Parse the values of the nth report block in packet and store the result in the values.

Parameters:

`packet` –

a valid SR or RR GstRTCPPacket

`nth` –

the nth report block in packet

`ssrc` ( [out]) –

result for data source being reported

`fractionlost` ( [out]) –

result for fraction lost since last SR/RR

`packetslost` ( [out]) –

result for the cumululative number of packets lost

`exthighestseq` ( [out]) –

result for the extended last sequence number received

`jitter` ( [out]) –

result for the interarrival jitter

`lsr` ( [out]) –

result for the last SR packet from this source

`dlsr` ( [out]) –

result for the delay since last SR packet

#### GstRtp.RTCPPacket.prototype.get_rb

    function GstRtp.RTCPPacket.prototype.get_rb(nth: Number): {
        // javascript wrapper for 'gst_rtcp_packet_get_rb'
    }

Parse the values of the nth report block in packet and store the result in the values.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SR or RR GstRtp.RTCPPacket

`nth` (Number) –

the nth report block in packet

#### GstRtp.RTCPPacket.get_rb

    def GstRtp.RTCPPacket.get_rb (self, nth):
        #python wrapper for 'gst_rtcp_packet_get_rb'

Parse the values of the nth report block in packet and store the result in the values.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SR or RR GstRtp.RTCPPacket

`nth` (int) –

the nth report block in packet

#### gst_rtcp_packet_get_rb_count

    guint
    gst_rtcp_packet_get_rb_count (GstRTCPPacket * packet)

Get the number of report blocks in packet.

Parameters:

`packet` –

a valid SR or RR GstRTCPPacket

Returns –

The number of report blocks in packet.

#### GstRtp.RTCPPacket.prototype.get_rb_count

    function GstRtp.RTCPPacket.prototype.get_rb_count(): {
        // javascript wrapper for 'gst_rtcp_packet_get_rb_count'
    }

Get the number of report blocks in packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SR or RR GstRtp.RTCPPacket

Returns (Number) –

The number of report blocks in packet.

#### GstRtp.RTCPPacket.get_rb_count

    def GstRtp.RTCPPacket.get_rb_count (self):
        #python wrapper for 'gst_rtcp_packet_get_rb_count'

Get the number of report blocks in packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SR or RR GstRtp.RTCPPacket

Returns (int) –

The number of report blocks in packet.

#### gst_rtcp_packet_get_type

    GstRTCPType
    gst_rtcp_packet_get_type (GstRTCPPacket * packet)

Get the packet type of the packet pointed to by packet.

Parameters:

`packet` –

a valid GstRTCPPacket

Returns –

The packet type or GST_RTCP_TYPE_INVALID when packet is not pointing to a valid packet.

#### GstRtp.RTCPPacket.prototype.get_type

    function GstRtp.RTCPPacket.prototype.get_type(): {
        // javascript wrapper for 'gst_rtcp_packet_get_type'
    }

Get the packet type of the packet pointed to by packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid GstRtp.RTCPPacket

Returns (GstRtp.RTCPType) –

The packet type or GST_RTCP_TYPE_INVALID when packet is not pointing to a valid packet.

#### GstRtp.RTCPPacket.get_type

    def GstRtp.RTCPPacket.get_type (self):
        #python wrapper for 'gst_rtcp_packet_get_type'

Get the packet type of the packet pointed to by packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid GstRtp.RTCPPacket

Returns (GstRtp.RTCPType) –

The packet type or GST_RTCP_TYPE_INVALID when packet is not pointing to a valid packet.

#### gst_rtcp_packet_move_to_next

    gboolean
    gst_rtcp_packet_move_to_next (GstRTCPPacket * packet)

Move the packet pointer packet to the next packet in the payload. Use gst_rtcp_buffer_get_first_packet to initialize packet.

Parameters:

`packet` –

a GstRTCPPacket

Returns –

TRUE if packet is pointing to a valid packet after calling this function.

#### GstRtp.RTCPPacket.prototype.move_to_next

    function GstRtp.RTCPPacket.prototype.move_to_next(): {
        // javascript wrapper for 'gst_rtcp_packet_move_to_next'
    }

Move the packet pointer packet to the next packet in the payload. Use GstRtp.RTCPBuffer.prototype.get_first_packet to initialize packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a GstRtp.RTCPPacket

Returns (Number) –

TRUE if packet is pointing to a valid packet after calling this function.

#### GstRtp.RTCPPacket.move_to_next

    def GstRtp.RTCPPacket.move_to_next (self):
        #python wrapper for 'gst_rtcp_packet_move_to_next'

Move the packet pointer packet to the next packet in the payload. Use GstRtp.RTCPBuffer.get_first_packet to initialize packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a GstRtp.RTCPPacket

Returns (bool) –

TRUE if packet is pointing to a valid packet after calling this function.

#### gst_rtcp_packet_remove

    gboolean
    gst_rtcp_packet_remove (GstRTCPPacket * packet)

Removes the packet pointed to by packet and moves pointer to the next one

Parameters:

`packet` –

a GstRTCPPacket

Returns –

TRUE if packet is pointing to a valid packet after calling this function.

#### GstRtp.RTCPPacket.prototype.remove

    function GstRtp.RTCPPacket.prototype.remove(): {
        // javascript wrapper for 'gst_rtcp_packet_remove'
    }

Removes the packet pointed to by packet and moves pointer to the next one

Parameters:

`packet` (GstRtp.RTCPPacket) –

a GstRtp.RTCPPacket

Returns (Number) –

TRUE if packet is pointing to a valid packet after calling this function.

#### GstRtp.RTCPPacket.remove

    def GstRtp.RTCPPacket.remove (self):
        #python wrapper for 'gst_rtcp_packet_remove'

Removes the packet pointed to by packet and moves pointer to the next one

Parameters:

`packet` (GstRtp.RTCPPacket) –

a GstRtp.RTCPPacket

Returns (bool) –

TRUE if packet is pointing to a valid packet after calling this function.

#### gst_rtcp_packet_rr_get_ssrc

    guint32
    gst_rtcp_packet_rr_get_ssrc (GstRTCPPacket * packet)

Get the ssrc field of the RR packet.

Parameters:

`packet` –

a valid RR GstRTCPPacket

Returns –

the ssrc.

#### GstRtp.RTCPPacket.prototype.rr_get_ssrc

    function GstRtp.RTCPPacket.prototype.rr_get_ssrc(): {
        // javascript wrapper for 'gst_rtcp_packet_rr_get_ssrc'
    }

Get the ssrc field of the RR packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid RR GstRtp.RTCPPacket

Returns (Number) –

the ssrc.

#### GstRtp.RTCPPacket.rr_get_ssrc

    def GstRtp.RTCPPacket.rr_get_ssrc (self):
        #python wrapper for 'gst_rtcp_packet_rr_get_ssrc'

Get the ssrc field of the RR packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid RR GstRtp.RTCPPacket

Returns (int) –

the ssrc.

#### gst_rtcp_packet_rr_set_ssrc

    gst_rtcp_packet_rr_set_ssrc (GstRTCPPacket * packet,
                                 guint32 ssrc)

Set the ssrc field of the RR packet.

Parameters:

`packet` –

a valid RR GstRTCPPacket

`ssrc` –

the SSRC to set

#### GstRtp.RTCPPacket.prototype.rr_set_ssrc

    function GstRtp.RTCPPacket.prototype.rr_set_ssrc(ssrc: Number): {
        // javascript wrapper for 'gst_rtcp_packet_rr_set_ssrc'
    }

Set the ssrc field of the RR packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid RR GstRtp.RTCPPacket

`ssrc` (Number) –

the SSRC to set

#### GstRtp.RTCPPacket.rr_set_ssrc

    def GstRtp.RTCPPacket.rr_set_ssrc (self, ssrc):
        #python wrapper for 'gst_rtcp_packet_rr_set_ssrc'

Set the ssrc field of the RR packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid RR GstRtp.RTCPPacket

`ssrc` (int) –

the SSRC to set

#### gst_rtcp_packet_sdes_add_entry

    gboolean
    gst_rtcp_packet_sdes_add_entry (GstRTCPPacket * packet,
                                    GstRTCPSDESType type,
                                    guint8 len,
                                    const guint8 * data)

Add a new SDES entry to the current item in packet.

Parameters:

`packet` –

a valid SDES GstRTCPPacket

`type` –

the GstRTCPSDESType of the SDES entry

`len` –

the data length

`data` ( [array length=len]) –

the data

Returns –

TRUE if the item could be added, FALSE if the MTU has been reached.

#### GstRtp.RTCPPacket.prototype.sdes_add_entry

    function GstRtp.RTCPPacket.prototype.sdes_add_entry(type: GstRtp.RTCPSDESType, len: Number, data: [ Number ]): {
        // javascript wrapper for 'gst_rtcp_packet_sdes_add_entry'
    }

Add a new SDES entry to the current item in packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SDES GstRtp.RTCPPacket

`type` (GstRtp.RTCPSDESType) –

the GstRtp.RTCPSDESType of the SDES entry

`len` (Number) –

the data length

`data` ([ Number ]) –

the data

Returns (Number) –

true if the item could be added, false if the MTU has been reached.

#### GstRtp.RTCPPacket.sdes_add_entry

    def GstRtp.RTCPPacket.sdes_add_entry (self, type, len, data):
        #python wrapper for 'gst_rtcp_packet_sdes_add_entry'

Add a new SDES entry to the current item in packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SDES GstRtp.RTCPPacket

`type` (GstRtp.RTCPSDESType) –

the GstRtp.RTCPSDESType of the SDES entry

`len` (int) –

the data length

`data` ([ int ]) –

the data

Returns (bool) –

True if the item could be added, False if the MTU has been reached.

#### gst_rtcp_packet_sdes_add_item

    gboolean
    gst_rtcp_packet_sdes_add_item (GstRTCPPacket * packet,
                                   guint32 ssrc)

Add a new SDES item for ssrc to packet.

Parameters:

`packet` –

a valid SDES GstRTCPPacket

`ssrc` –

the SSRC of the new item to add

Returns –

TRUE if the item could be added, FALSE if the maximum amount of items has been exceeded for the SDES packet or the MTU has been reached.

#### GstRtp.RTCPPacket.prototype.sdes_add_item

    function GstRtp.RTCPPacket.prototype.sdes_add_item(ssrc: Number): {
        // javascript wrapper for 'gst_rtcp_packet_sdes_add_item'
    }

Add a new SDES item for ssrc to packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SDES GstRtp.RTCPPacket

`ssrc` (Number) –

the SSRC of the new item to add

Returns (Number) –

true if the item could be added, false if the maximum amount of items has been exceeded for the SDES packet or the MTU has been reached.

#### GstRtp.RTCPPacket.sdes_add_item

    def GstRtp.RTCPPacket.sdes_add_item (self, ssrc):
        #python wrapper for 'gst_rtcp_packet_sdes_add_item'

Add a new SDES item for ssrc to packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SDES GstRtp.RTCPPacket

`ssrc` (int) –

the SSRC of the new item to add

Returns (bool) –

True if the item could be added, False if the maximum amount of items has been exceeded for the SDES packet or the MTU has been reached.

#### gst_rtcp_packet_sdes_copy_entry

    gboolean
    gst_rtcp_packet_sdes_copy_entry (GstRTCPPacket * packet,
                                     GstRTCPSDESType * type,
                                     guint8 * len,
                                     guint8 ** data)

This function is like gst_rtcp_packet_sdes_get_entry but it returns a null-terminated copy of the data instead. use g_free after usage.

Parameters:

`packet` –

a valid SDES GstRTCPPacket

`type` –

result of the entry type

`len` ( [out]) –

result length of the entry data

`data` ( [out][array length=len]) –

result entry data

Returns –

TRUE if there was valid data.

#### GstRtp.RTCPPacket.prototype.sdes_copy_entry

    function GstRtp.RTCPPacket.prototype.sdes_copy_entry(type: GstRtp.RTCPSDESType): {
        // javascript wrapper for 'gst_rtcp_packet_sdes_copy_entry'
    }

This function is like GstRtp.RTCPPacket.prototype.sdes_get_entry but it returns a null-terminated copy of the data instead. use GLib.prototype.free after usage.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SDES GstRtp.RTCPPacket

`type` (GstRtp.RTCPSDESType) –

result of the entry type

Returns a tuple made of:

(Number ) –

true if there was valid data.

`len` (Number ) –

true if there was valid data.

`data` ([ Number ] ) –

true if there was valid data.

#### GstRtp.RTCPPacket.sdes_copy_entry

    def GstRtp.RTCPPacket.sdes_copy_entry (self, type):
        #python wrapper for 'gst_rtcp_packet_sdes_copy_entry'

This function is like GstRtp.RTCPPacket.sdes_get_entry but it returns a null-terminated copy of the data instead. use GLib.free after usage.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SDES GstRtp.RTCPPacket

`type` (GstRtp.RTCPSDESType) –

result of the entry type

Returns a tuple made of:

(bool ) –

True if there was valid data.

`len` (int ) –

True if there was valid data.

`data` ([ int ] ) –

True if there was valid data.

#### gst_rtcp_packet_sdes_first_entry

    gboolean
    gst_rtcp_packet_sdes_first_entry (GstRTCPPacket * packet)

Move to the first SDES entry in the current item.

Parameters:

`packet` –

a valid SDES GstRTCPPacket

Returns –

TRUE if there was a first entry.

#### GstRtp.RTCPPacket.prototype.sdes_first_entry

    function GstRtp.RTCPPacket.prototype.sdes_first_entry(): {
        // javascript wrapper for 'gst_rtcp_packet_sdes_first_entry'
    }

Move to the first SDES entry in the current item.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SDES GstRtp.RTCPPacket

Returns (Number) –

true if there was a first entry.

#### GstRtp.RTCPPacket.sdes_first_entry

    def GstRtp.RTCPPacket.sdes_first_entry (self):
        #python wrapper for 'gst_rtcp_packet_sdes_first_entry'

Move to the first SDES entry in the current item.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SDES GstRtp.RTCPPacket

Returns (bool) –

True if there was a first entry.

#### gst_rtcp_packet_sdes_first_item

    gboolean
    gst_rtcp_packet_sdes_first_item (GstRTCPPacket * packet)

Move to the first SDES item in packet.

Parameters:

`packet` –

a valid SDES GstRTCPPacket

Returns –

TRUE if there was a first item.

#### GstRtp.RTCPPacket.prototype.sdes_first_item

    function GstRtp.RTCPPacket.prototype.sdes_first_item(): {
        // javascript wrapper for 'gst_rtcp_packet_sdes_first_item'
    }

Move to the first SDES item in packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SDES GstRtp.RTCPPacket

Returns (Number) –

TRUE if there was a first item.

#### GstRtp.RTCPPacket.sdes_first_item

    def GstRtp.RTCPPacket.sdes_first_item (self):
        #python wrapper for 'gst_rtcp_packet_sdes_first_item'

Move to the first SDES item in packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SDES GstRtp.RTCPPacket

Returns (bool) –

TRUE if there was a first item.

#### gst_rtcp_packet_sdes_get_entry

    gboolean
    gst_rtcp_packet_sdes_get_entry (GstRTCPPacket * packet,
                                    GstRTCPSDESType * type,
                                    guint8 * len,
                                    guint8 ** data)

Get the data of the current SDES item entry. type (when not NULL) will contain the type of the entry. data (when not NULL) will point to len bytes.

When type refers to a text item, data will point to a UTF8 string. Note that this UTF8 string is NOT null-terminated. Use gst_rtcp_packet_sdes_copy_entry to get a null-terminated copy of the entry.

Parameters:

`packet` –

a valid SDES GstRTCPPacket

`type` –

result of the entry type

`len` ( [out]) –

result length of the entry data

`data` ( [out][array length=len][transfer: none]) –

result entry data

Returns –

TRUE if there was valid data.

#### GstRtp.RTCPPacket.prototype.sdes_get_entry

    function GstRtp.RTCPPacket.prototype.sdes_get_entry(type: GstRtp.RTCPSDESType): {
        // javascript wrapper for 'gst_rtcp_packet_sdes_get_entry'
    }

Get the data of the current SDES item entry. type (when not NULL) will contain the type of the entry. data (when not NULL) will point to len bytes.

When type refers to a text item, data will point to a UTF8 string. Note that this UTF8 string is NOT null-terminated. Use GstRtp.RTCPPacket.prototype.sdes_copy_entry to get a null-terminated copy of the entry.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SDES GstRtp.RTCPPacket

`type` (GstRtp.RTCPSDESType) –

result of the entry type

Returns a tuple made of:

(Number ) –

true if there was valid data.

`len` (Number ) –

true if there was valid data.

`data` ([ Number ] ) –

true if there was valid data.

#### GstRtp.RTCPPacket.sdes_get_entry

    def GstRtp.RTCPPacket.sdes_get_entry (self, type):
        #python wrapper for 'gst_rtcp_packet_sdes_get_entry'

Get the data of the current SDES item entry. type (when not NULL) will contain the type of the entry. data (when not NULL) will point to len bytes.

When type refers to a text item, data will point to a UTF8 string. Note that this UTF8 string is NOT null-terminated. Use GstRtp.RTCPPacket.sdes_copy_entry to get a null-terminated copy of the entry.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SDES GstRtp.RTCPPacket

`type` (GstRtp.RTCPSDESType) –

result of the entry type

Returns a tuple made of:

(bool ) –

True if there was valid data.

`len` (int ) –

True if there was valid data.

`data` ([ int ] ) –

True if there was valid data.

#### gst_rtcp_packet_sdes_get_item_count

    guint
    gst_rtcp_packet_sdes_get_item_count (GstRTCPPacket * packet)

Get the number of items in the SDES packet packet.

Parameters:

`packet` –

a valid SDES GstRTCPPacket

Returns –

The number of items in packet.

#### GstRtp.RTCPPacket.prototype.sdes_get_item_count

    function GstRtp.RTCPPacket.prototype.sdes_get_item_count(): {
        // javascript wrapper for 'gst_rtcp_packet_sdes_get_item_count'
    }

Get the number of items in the SDES packet packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SDES GstRtp.RTCPPacket

Returns (Number) –

The number of items in packet.

#### GstRtp.RTCPPacket.sdes_get_item_count

    def GstRtp.RTCPPacket.sdes_get_item_count (self):
        #python wrapper for 'gst_rtcp_packet_sdes_get_item_count'

Get the number of items in the SDES packet packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SDES GstRtp.RTCPPacket

Returns (int) –

The number of items in packet.

#### gst_rtcp_packet_sdes_get_ssrc

    guint32
    gst_rtcp_packet_sdes_get_ssrc (GstRTCPPacket * packet)

Get the SSRC of the current SDES item.

Parameters:

`packet` –

a valid SDES GstRTCPPacket

Returns –

the SSRC of the current item.

#### GstRtp.RTCPPacket.prototype.sdes_get_ssrc

    function GstRtp.RTCPPacket.prototype.sdes_get_ssrc(): {
        // javascript wrapper for 'gst_rtcp_packet_sdes_get_ssrc'
    }

Get the SSRC of the current SDES item.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SDES GstRtp.RTCPPacket

Returns (Number) –

the SSRC of the current item.

#### GstRtp.RTCPPacket.sdes_get_ssrc

    def GstRtp.RTCPPacket.sdes_get_ssrc (self):
        #python wrapper for 'gst_rtcp_packet_sdes_get_ssrc'

Get the SSRC of the current SDES item.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SDES GstRtp.RTCPPacket

Returns (int) –

the SSRC of the current item.

#### gst_rtcp_packet_sdes_next_entry

    gboolean
    gst_rtcp_packet_sdes_next_entry (GstRTCPPacket * packet)

Move to the next SDES entry in the current item.

Parameters:

`packet` –

a valid SDES GstRTCPPacket

Returns –

TRUE if there was a next entry.

#### GstRtp.RTCPPacket.prototype.sdes_next_entry

    function GstRtp.RTCPPacket.prototype.sdes_next_entry(): {
        // javascript wrapper for 'gst_rtcp_packet_sdes_next_entry'
    }

Move to the next SDES entry in the current item.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SDES GstRtp.RTCPPacket

Returns (Number) –

true if there was a next entry.

#### GstRtp.RTCPPacket.sdes_next_entry

    def GstRtp.RTCPPacket.sdes_next_entry (self):
        #python wrapper for 'gst_rtcp_packet_sdes_next_entry'

Move to the next SDES entry in the current item.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SDES GstRtp.RTCPPacket

Returns (bool) –

True if there was a next entry.

#### gst_rtcp_packet_sdes_next_item

    gboolean
    gst_rtcp_packet_sdes_next_item (GstRTCPPacket * packet)

Move to the next SDES item in packet.

Parameters:

`packet` –

a valid SDES GstRTCPPacket

Returns –

TRUE if there was a next item.

#### GstRtp.RTCPPacket.prototype.sdes_next_item

    function GstRtp.RTCPPacket.prototype.sdes_next_item(): {
        // javascript wrapper for 'gst_rtcp_packet_sdes_next_item'
    }

Move to the next SDES item in packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SDES GstRtp.RTCPPacket

Returns (Number) –

TRUE if there was a next item.

#### GstRtp.RTCPPacket.sdes_next_item

    def GstRtp.RTCPPacket.sdes_next_item (self):
        #python wrapper for 'gst_rtcp_packet_sdes_next_item'

Move to the next SDES item in packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SDES GstRtp.RTCPPacket

Returns (bool) –

TRUE if there was a next item.

#### gst_rtcp_packet_set_rb

    gst_rtcp_packet_set_rb (GstRTCPPacket * packet,
                            guint nth,
                            guint32 ssrc,
                            guint8 fractionlost,
                            gint32 packetslost,
                            guint32 exthighestseq,
                            guint32 jitter,
                            guint32 lsr,
                            guint32 dlsr)

Set the nth new report block in packet with the given values.

Note: Not implemented.

Parameters:

`packet` –

a valid SR or RR GstRTCPPacket

`nth` –

the nth report block to set

`ssrc` –

data source being reported

`fractionlost` –

fraction lost since last SR/RR

`packetslost` –

the cumululative number of packets lost

`exthighestseq` –

the extended last sequence number received

`jitter` –

the interarrival jitter

`lsr` –

the last SR packet from this source

`dlsr` –

the delay since last SR packet

#### GstRtp.RTCPPacket.prototype.set_rb

    function GstRtp.RTCPPacket.prototype.set_rb(nth: Number, ssrc: Number, fractionlost: Number, packetslost: Number, exthighestseq: Number, jitter: Number, lsr: Number, dlsr: Number): {
        // javascript wrapper for 'gst_rtcp_packet_set_rb'
    }

Set the nth new report block in packet with the given values.

Note: Not implemented.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SR or RR GstRtp.RTCPPacket

`nth` (Number) –

the nth report block to set

`ssrc` (Number) –

data source being reported

`fractionlost` (Number) –

fraction lost since last SR/RR

`packetslost` (Number) –

the cumululative number of packets lost

`exthighestseq` (Number) –

the extended last sequence number received

`jitter` (Number) –

the interarrival jitter

`lsr` (Number) –

the last SR packet from this source

`dlsr` (Number) –

the delay since last SR packet

#### GstRtp.RTCPPacket.set_rb

    def GstRtp.RTCPPacket.set_rb (self, nth, ssrc, fractionlost, packetslost, exthighestseq, jitter, lsr, dlsr):
        #python wrapper for 'gst_rtcp_packet_set_rb'

Set the nth new report block in packet with the given values.

Note: Not implemented.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SR or RR GstRtp.RTCPPacket

`nth` (int) –

the nth report block to set

`ssrc` (int) –

data source being reported

`fractionlost` (int) –

fraction lost since last SR/RR

`packetslost` (int) –

the cumululative number of packets lost

`exthighestseq` (int) –

the extended last sequence number received

`jitter` (int) –

the interarrival jitter

`lsr` (int) –

the last SR packet from this source

`dlsr` (int) –

the delay since last SR packet

#### gst_rtcp_packet_sr_get_sender_info

    gst_rtcp_packet_sr_get_sender_info (GstRTCPPacket * packet,
                                        guint32 * ssrc,
                                        guint64 * ntptime,
                                        guint32 * rtptime,
                                        guint32 * packet_count,
                                        guint32 * octet_count)

Parse the SR sender info and store the values.

Parameters:

`packet` –

a valid SR GstRTCPPacket

`ssrc` ( [out]) –

result SSRC

`ntptime` ( [out]) –

result NTP time

`rtptime` ( [out]) –

result RTP time

`packet_count` ( [out]) –

result packet count

`octet_count` ( [out]) –

result octet count

#### GstRtp.RTCPPacket.prototype.sr_get_sender_info

    function GstRtp.RTCPPacket.prototype.sr_get_sender_info(): {
        // javascript wrapper for 'gst_rtcp_packet_sr_get_sender_info'
    }

Parse the SR sender info and store the values.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SR GstRtp.RTCPPacket

#### GstRtp.RTCPPacket.sr_get_sender_info

    def GstRtp.RTCPPacket.sr_get_sender_info (self):
        #python wrapper for 'gst_rtcp_packet_sr_get_sender_info'

Parse the SR sender info and store the values.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SR GstRtp.RTCPPacket

#### gst_rtcp_packet_sr_set_sender_info

    gst_rtcp_packet_sr_set_sender_info (GstRTCPPacket * packet,
                                        guint32 ssrc,
                                        guint64 ntptime,
                                        guint32 rtptime,
                                        guint32 packet_count,
                                        guint32 octet_count)

Set the given values in the SR packet packet.

Parameters:

`packet` –

a valid SR GstRTCPPacket

`ssrc` –

the SSRC

`ntptime` –

the NTP time

`rtptime` –

the RTP time

`packet_count` –

the packet count

`octet_count` –

the octet count

#### GstRtp.RTCPPacket.prototype.sr_set_sender_info

    function GstRtp.RTCPPacket.prototype.sr_set_sender_info(ssrc: Number, ntptime: Number, rtptime: Number, packet_count: Number, octet_count: Number): {
        // javascript wrapper for 'gst_rtcp_packet_sr_set_sender_info'
    }

Set the given values in the SR packet packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SR GstRtp.RTCPPacket

`ssrc` (Number) –

the SSRC

`ntptime` (Number) –

the NTP time

`rtptime` (Number) –

the RTP time

`packet_count` (Number) –

the packet count

`octet_count` (Number) –

the octet count

#### GstRtp.RTCPPacket.sr_set_sender_info

    def GstRtp.RTCPPacket.sr_set_sender_info (self, ssrc, ntptime, rtptime, packet_count, octet_count):
        #python wrapper for 'gst_rtcp_packet_sr_set_sender_info'

Set the given values in the SR packet packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid SR GstRtp.RTCPPacket

`ssrc` (int) –

the SSRC

`ntptime` (int) –

the NTP time

`rtptime` (int) –

the RTP time

`packet_count` (int) –

the packet count

`octet_count` (int) –

the octet count

#### gst_rtcp_packet_xr_first_rb

    gboolean
    gst_rtcp_packet_xr_first_rb (GstRTCPPacket * packet)

Move to the first extended report block in XR packet.

Parameters:

`packet` –

a valid XR GstRTCPPacket

Returns –

TRUE if there was a first extended report block.

Since : 1.16

#### GstRtp.RTCPPacket.prototype.xr_first_rb

    function GstRtp.RTCPPacket.prototype.xr_first_rb(): {
        // javascript wrapper for 'gst_rtcp_packet_xr_first_rb'
    }

Move to the first extended report block in XR packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket

Returns (Number) –

TRUE if there was a first extended report block.

Since : 1.16

#### GstRtp.RTCPPacket.xr_first_rb

    def GstRtp.RTCPPacket.xr_first_rb (self):
        #python wrapper for 'gst_rtcp_packet_xr_first_rb'

Move to the first extended report block in XR packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket

Returns (bool) –

TRUE if there was a first extended report block.

Since : 1.16

#### gst_rtcp_packet_xr_get_block_length

    guint16
    gst_rtcp_packet_xr_get_block_length (GstRTCPPacket * packet)

Parameters:

`packet` –

a valid XR GstRTCPPacket

Returns –

The number of 32-bit words containing type-specific block data from packet.

Since : 1.16

#### GstRtp.RTCPPacket.prototype.xr_get_block_length

    function GstRtp.RTCPPacket.prototype.xr_get_block_length(): {
        // javascript wrapper for 'gst_rtcp_packet_xr_get_block_length'
    }

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket

Returns (Number) –

The number of 32-bit words containing type-specific block data from packet.

Since : 1.16

#### GstRtp.RTCPPacket.xr_get_block_length

    def GstRtp.RTCPPacket.xr_get_block_length (self):
        #python wrapper for 'gst_rtcp_packet_xr_get_block_length'

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket

Returns (int) –

The number of 32-bit words containing type-specific block data from packet.

Since : 1.16

#### gst_rtcp_packet_xr_get_block_type

    GstRTCPXRType
    gst_rtcp_packet_xr_get_block_type (GstRTCPPacket * packet)

Get the extended report block type of the XR packet.

Parameters:

`packet` –

a valid XR GstRTCPPacket

Returns –

The extended report block type.

Since : 1.16

#### GstRtp.RTCPPacket.prototype.xr_get_block_type

    function GstRtp.RTCPPacket.prototype.xr_get_block_type(): {
        // javascript wrapper for 'gst_rtcp_packet_xr_get_block_type'
    }

Get the extended report block type of the XR packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket

Returns (GstRtp.RTCPXRType) –

The extended report block type.

Since : 1.16

#### GstRtp.RTCPPacket.xr_get_block_type

    def GstRtp.RTCPPacket.xr_get_block_type (self):
        #python wrapper for 'gst_rtcp_packet_xr_get_block_type'

Get the extended report block type of the XR packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket

Returns (GstRtp.RTCPXRType) –

The extended report block type.

Since : 1.16

#### gst_rtcp_packet_xr_get_dlrr_block

    gboolean
    gst_rtcp_packet_xr_get_dlrr_block (GstRTCPPacket * packet,
                                       guint nth,
                                       guint32 * ssrc,
                                       guint32 * last_rr,
                                       guint32 * delay)

Parse the extended report block for DLRR report block type.

Parameters:

`packet` –

a valid XR GstRTCPPacket which has DLRR Report Block.

`nth` –

the index of sub-block to retrieve.

`ssrc` –

the SSRC of the receiver.

`last_rr` –

the last receiver reference timestamp of ssrc.

`delay` –

the delay since last_rr.

Returns –

TRUE if the report block is correctly parsed.

Since : 1.16

#### GstRtp.RTCPPacket.prototype.xr_get_dlrr_block

    function GstRtp.RTCPPacket.prototype.xr_get_dlrr_block(nth: Number, ssrc: Number, last_rr: Number, delay: Number): {
        // javascript wrapper for 'gst_rtcp_packet_xr_get_dlrr_block'
    }

Parse the extended report block for DLRR report block type.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has DLRR Report Block.

`nth` (Number) –

the index of sub-block to retrieve.

`ssrc` (Number) –

the SSRC of the receiver.

`last_rr` (Number) –

the last receiver reference timestamp of ssrc.

`delay` (Number) –

the delay since last_rr.

Returns (Number) –

true if the report block is correctly parsed.

Since : 1.16

#### GstRtp.RTCPPacket.xr_get_dlrr_block

    def GstRtp.RTCPPacket.xr_get_dlrr_block (self, nth, ssrc, last_rr, delay):
        #python wrapper for 'gst_rtcp_packet_xr_get_dlrr_block'

Parse the extended report block for DLRR report block type.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has DLRR Report Block.

`nth` (int) –

the index of sub-block to retrieve.

`ssrc` (int) –

the SSRC of the receiver.

`last_rr` (int) –

the last receiver reference timestamp of ssrc.

`delay` (int) –

the delay since last_rr.

Returns (bool) –

True if the report block is correctly parsed.

Since : 1.16

#### gst_rtcp_packet_xr_get_prt_by_seq

    gboolean
    gst_rtcp_packet_xr_get_prt_by_seq (GstRTCPPacket * packet,
                                       guint16 seq,
                                       guint32 * receipt_time)

Retrieve the packet receipt time of seq which ranges in [begin_seq, end_seq).

Parameters:

`packet` –

a valid XR GstRTCPPacket which has the Packet Recept Times Report Block.

`seq` –

the sequence to retrieve the time.

`receipt_time` –

the packet receipt time of seq.

Returns –

TRUE if the report block returns the receipt time correctly.

Since : 1.16

#### GstRtp.RTCPPacket.prototype.xr_get_prt_by_seq

    function GstRtp.RTCPPacket.prototype.xr_get_prt_by_seq(seq: Number, receipt_time: Number): {
        // javascript wrapper for 'gst_rtcp_packet_xr_get_prt_by_seq'
    }

Retrieve the packet receipt time of seq which ranges in [begin_seq, end_seq).

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has the Packet Recept Times Report Block.

`seq` (Number) –

the sequence to retrieve the time.

`receipt_time` (Number) –

the packet receipt time of seq.

Returns (Number) –

true if the report block returns the receipt time correctly.

Since : 1.16

#### GstRtp.RTCPPacket.xr_get_prt_by_seq

    def GstRtp.RTCPPacket.xr_get_prt_by_seq (self, seq, receipt_time):
        #python wrapper for 'gst_rtcp_packet_xr_get_prt_by_seq'

Retrieve the packet receipt time of seq which ranges in [begin_seq, end_seq).

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has the Packet Recept Times Report Block.

`seq` (int) –

the sequence to retrieve the time.

`receipt_time` (int) –

the packet receipt time of seq.

Returns (bool) –

True if the report block returns the receipt time correctly.

Since : 1.16

#### gst_rtcp_packet_xr_get_prt_info

    gboolean
    gst_rtcp_packet_xr_get_prt_info (GstRTCPPacket * packet,
                                     guint32 * ssrc,
                                     guint8 * thinning,
                                     guint16 * begin_seq,
                                     guint16 * end_seq)

Parse the Packet Recept Times Report Block from a XR packet

Parameters:

`packet` –

a valid XR GstRTCPPacket which has a Packet Receipt Times Report Block

`ssrc` –

the SSRC of the RTP data packet source being reported upon by this report block.

`thinning` –

the amount of thinning performed on the sequence number space.

`begin_seq` –

the first sequence number that this block reports on.

`end_seq` –

the last sequence number that this block reports on plus one.

Returns –

TRUE if the report block is correctly parsed.

Since : 1.16

#### GstRtp.RTCPPacket.prototype.xr_get_prt_info

    function GstRtp.RTCPPacket.prototype.xr_get_prt_info(ssrc: Number, thinning: Number, begin_seq: Number, end_seq: Number): {
        // javascript wrapper for 'gst_rtcp_packet_xr_get_prt_info'
    }

Parse the Packet Recept Times Report Block from a XR packet

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has a Packet Receipt Times Report Block

`ssrc` (Number) –

the SSRC of the RTP data packet source being reported upon by this report block.

`thinning` (Number) –

the amount of thinning performed on the sequence number space.

`begin_seq` (Number) –

the first sequence number that this block reports on.

`end_seq` (Number) –

the last sequence number that this block reports on plus one.

Returns (Number) –

true if the report block is correctly parsed.

Since : 1.16

#### GstRtp.RTCPPacket.xr_get_prt_info

    def GstRtp.RTCPPacket.xr_get_prt_info (self, ssrc, thinning, begin_seq, end_seq):
        #python wrapper for 'gst_rtcp_packet_xr_get_prt_info'

Parse the Packet Recept Times Report Block from a XR packet

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has a Packet Receipt Times Report Block

`ssrc` (int) –

the SSRC of the RTP data packet source being reported upon by this report block.

`thinning` (int) –

the amount of thinning performed on the sequence number space.

`begin_seq` (int) –

the first sequence number that this block reports on.

`end_seq` (int) –

the last sequence number that this block reports on plus one.

Returns (bool) –

True if the report block is correctly parsed.

Since : 1.16

#### gst_rtcp_packet_xr_get_rle_info

    gboolean
    gst_rtcp_packet_xr_get_rle_info (GstRTCPPacket * packet,
                                     guint32 * ssrc,
                                     guint8 * thinning,
                                     guint16 * begin_seq,
                                     guint16 * end_seq,
                                     guint32 * chunk_count)

Parse the extended report block for Loss RLE and Duplicated LRE block type.

Parameters:

`packet` –

a valid XR GstRTCPPacket which is Loss RLE or Duplicate RLE report.

`ssrc` –

the SSRC of the RTP data packet source being reported upon by this report block.

`thinning` –

the amount of thinning performed on the sequence number space.

`begin_seq` –

the first sequence number that this block reports on.

`end_seq` –

the last sequence number that this block reports on plus one.

`chunk_count` –

the number of chunks calculated by block length.

Returns –

TRUE if the report block is correctly parsed.

Since : 1.16

#### GstRtp.RTCPPacket.prototype.xr_get_rle_info

    function GstRtp.RTCPPacket.prototype.xr_get_rle_info(ssrc: Number, thinning: Number, begin_seq: Number, end_seq: Number, chunk_count: Number): {
        // javascript wrapper for 'gst_rtcp_packet_xr_get_rle_info'
    }

Parse the extended report block for Loss RLE and Duplicated LRE block type.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which is Loss RLE or Duplicate RLE report.

`ssrc` (Number) –

the SSRC of the RTP data packet source being reported upon by this report block.

`thinning` (Number) –

the amount of thinning performed on the sequence number space.

`begin_seq` (Number) –

the first sequence number that this block reports on.

`end_seq` (Number) –

the last sequence number that this block reports on plus one.

`chunk_count` (Number) –

the number of chunks calculated by block length.

Returns (Number) –

true if the report block is correctly parsed.

Since : 1.16

#### GstRtp.RTCPPacket.xr_get_rle_info

    def GstRtp.RTCPPacket.xr_get_rle_info (self, ssrc, thinning, begin_seq, end_seq, chunk_count):
        #python wrapper for 'gst_rtcp_packet_xr_get_rle_info'

Parse the extended report block for Loss RLE and Duplicated LRE block type.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which is Loss RLE or Duplicate RLE report.

`ssrc` (int) –

the SSRC of the RTP data packet source being reported upon by this report block.

`thinning` (int) –

the amount of thinning performed on the sequence number space.

`begin_seq` (int) –

the first sequence number that this block reports on.

`end_seq` (int) –

the last sequence number that this block reports on plus one.

`chunk_count` (int) –

the number of chunks calculated by block length.

Returns (bool) –

True if the report block is correctly parsed.

Since : 1.16

#### gst_rtcp_packet_xr_get_rle_nth_chunk

    gboolean
    gst_rtcp_packet_xr_get_rle_nth_chunk (GstRTCPPacket * packet,
                                          guint nth,
                                          guint16 * chunk)

Retrieve actual chunk data.

Parameters:

`packet` –

a valid XR GstRTCPPacket which is Loss RLE or Duplicate RLE report.

`nth` –

the index of chunk to retrieve.

`chunk` –

the nth chunk.

Returns –

TRUE if the report block returns chunk correctly.

Since : 1.16

#### GstRtp.RTCPPacket.prototype.xr_get_rle_nth_chunk

    function GstRtp.RTCPPacket.prototype.xr_get_rle_nth_chunk(nth: Number, chunk: Number): {
        // javascript wrapper for 'gst_rtcp_packet_xr_get_rle_nth_chunk'
    }

Retrieve actual chunk data.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which is Loss RLE or Duplicate RLE report.

`nth` (Number) –

the index of chunk to retrieve.

`chunk` (Number) –

the nth chunk.

Returns (Number) –

true if the report block returns chunk correctly.

Since : 1.16

#### GstRtp.RTCPPacket.xr_get_rle_nth_chunk

    def GstRtp.RTCPPacket.xr_get_rle_nth_chunk (self, nth, chunk):
        #python wrapper for 'gst_rtcp_packet_xr_get_rle_nth_chunk'

Retrieve actual chunk data.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which is Loss RLE or Duplicate RLE report.

`nth` (int) –

the index of chunk to retrieve.

`chunk` (int) –

the nth chunk.

Returns (bool) –

True if the report block returns chunk correctly.

Since : 1.16

#### gst_rtcp_packet_xr_get_rrt

    gboolean
    gst_rtcp_packet_xr_get_rrt (GstRTCPPacket * packet,
                                guint64 * timestamp)

Parameters:

`packet` –

a valid XR GstRTCPPacket which has the Receiver Reference Time.

`timestamp` –

NTP timestamp

Returns –

TRUE if the report block returns the reference time correctly.

Since : 1.16

#### GstRtp.RTCPPacket.prototype.xr_get_rrt

    function GstRtp.RTCPPacket.prototype.xr_get_rrt(timestamp: Number): {
        // javascript wrapper for 'gst_rtcp_packet_xr_get_rrt'
    }

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has the Receiver Reference Time.

`timestamp` (Number) –

NTP timestamp

Returns (Number) –

true if the report block returns the reference time correctly.

Since : 1.16

#### GstRtp.RTCPPacket.xr_get_rrt

    def GstRtp.RTCPPacket.xr_get_rrt (self, timestamp):
        #python wrapper for 'gst_rtcp_packet_xr_get_rrt'

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has the Receiver Reference Time.

`timestamp` (int) –

NTP timestamp

Returns (bool) –

True if the report block returns the reference time correctly.

Since : 1.16

#### gst_rtcp_packet_xr_get_ssrc

    guint32
    gst_rtcp_packet_xr_get_ssrc (GstRTCPPacket * packet)

Get the ssrc field of the XR packet.

Parameters:

`packet` –

a valid XR GstRTCPPacket

Returns –

the ssrc.

Since : 1.16

#### GstRtp.RTCPPacket.prototype.xr_get_ssrc

    function GstRtp.RTCPPacket.prototype.xr_get_ssrc(): {
        // javascript wrapper for 'gst_rtcp_packet_xr_get_ssrc'
    }

Get the ssrc field of the XR packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket

Returns (Number) –

the ssrc.

Since : 1.16

#### GstRtp.RTCPPacket.xr_get_ssrc

    def GstRtp.RTCPPacket.xr_get_ssrc (self):
        #python wrapper for 'gst_rtcp_packet_xr_get_ssrc'

Get the ssrc field of the XR packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket

Returns (int) –

the ssrc.

Since : 1.16

#### gst_rtcp_packet_xr_get_summary_info

    gboolean
    gst_rtcp_packet_xr_get_summary_info (GstRTCPPacket * packet,
                                         guint32 * ssrc,
                                         guint16 * begin_seq,
                                         guint16 * end_seq)

Extract a basic information from static summary report block of XR packet.

Parameters:

`packet` –

a valid XR GstRTCPPacket which has Statics Summary Report Block.

`ssrc` –

the SSRC of the source.

`begin_seq` –

the first sequence number that this block reports on.

`end_seq` –

the last sequence number that this block reports on plus one.

Returns –

TRUE if the report block is correctly parsed.

Since : 1.16

#### GstRtp.RTCPPacket.prototype.xr_get_summary_info

    function GstRtp.RTCPPacket.prototype.xr_get_summary_info(ssrc: Number, begin_seq: Number, end_seq: Number): {
        // javascript wrapper for 'gst_rtcp_packet_xr_get_summary_info'
    }

Extract a basic information from static summary report block of XR packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has Statics Summary Report Block.

`ssrc` (Number) –

the SSRC of the source.

`begin_seq` (Number) –

the first sequence number that this block reports on.

`end_seq` (Number) –

the last sequence number that this block reports on plus one.

Returns (Number) –

true if the report block is correctly parsed.

Since : 1.16

#### GstRtp.RTCPPacket.xr_get_summary_info

    def GstRtp.RTCPPacket.xr_get_summary_info (self, ssrc, begin_seq, end_seq):
        #python wrapper for 'gst_rtcp_packet_xr_get_summary_info'

Extract a basic information from static summary report block of XR packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has Statics Summary Report Block.

`ssrc` (int) –

the SSRC of the source.

`begin_seq` (int) –

the first sequence number that this block reports on.

`end_seq` (int) –

the last sequence number that this block reports on plus one.

Returns (bool) –

True if the report block is correctly parsed.

Since : 1.16

#### gst_rtcp_packet_xr_get_summary_jitter

    gboolean
    gst_rtcp_packet_xr_get_summary_jitter (GstRTCPPacket * packet,
                                           guint32 * min_jitter,
                                           guint32 * max_jitter,
                                           guint32 * mean_jitter,
                                           guint32 * dev_jitter)

Extract jitter information from the statistics summary. If the jitter flag in a block header is set as zero, all of jitters will be zero.

Parameters:

`packet` –

a valid XR GstRTCPPacket which has Statics Summary Report Block.

`min_jitter` –

the minimum relative transit time between two sequences.

`max_jitter` –

the maximum relative transit time between two sequences.

`mean_jitter` –

the mean relative transit time between two sequences.

`dev_jitter` –

the standard deviation of the relative transit time between two sequences.

Returns –

TRUE if the report block is correctly parsed.

Since : 1.16

#### GstRtp.RTCPPacket.prototype.xr_get_summary_jitter

    function GstRtp.RTCPPacket.prototype.xr_get_summary_jitter(min_jitter: Number, max_jitter: Number, mean_jitter: Number, dev_jitter: Number): {
        // javascript wrapper for 'gst_rtcp_packet_xr_get_summary_jitter'
    }

Extract jitter information from the statistics summary. If the jitter flag in a block header is set as zero, all of jitters will be zero.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has Statics Summary Report Block.

`min_jitter` (Number) –

the minimum relative transit time between two sequences.

`max_jitter` (Number) –

the maximum relative transit time between two sequences.

`mean_jitter` (Number) –

the mean relative transit time between two sequences.

`dev_jitter` (Number) –

the standard deviation of the relative transit time between two sequences.

Returns (Number) –

true if the report block is correctly parsed.

Since : 1.16

#### GstRtp.RTCPPacket.xr_get_summary_jitter

    def GstRtp.RTCPPacket.xr_get_summary_jitter (self, min_jitter, max_jitter, mean_jitter, dev_jitter):
        #python wrapper for 'gst_rtcp_packet_xr_get_summary_jitter'

Extract jitter information from the statistics summary. If the jitter flag in a block header is set as zero, all of jitters will be zero.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has Statics Summary Report Block.

`min_jitter` (int) –

the minimum relative transit time between two sequences.

`max_jitter` (int) –

the maximum relative transit time between two sequences.

`mean_jitter` (int) –

the mean relative transit time between two sequences.

`dev_jitter` (int) –

the standard deviation of the relative transit time between two sequences.

Returns (bool) –

True if the report block is correctly parsed.

Since : 1.16

#### gst_rtcp_packet_xr_get_summary_pkt

    gboolean
    gst_rtcp_packet_xr_get_summary_pkt (GstRTCPPacket * packet,
                                        guint32 * lost_packets,
                                        guint32 * dup_packets)

Get the number of lost or duplicate packets. If the flag in a block header is set as zero, lost_packets or dup_packets will be zero.

Parameters:

`packet` –

a valid XR GstRTCPPacket which has Statics Summary Report Block.

`lost_packets` –

the number of lost packets between begin_seq and end_seq.

`dup_packets` –

the number of duplicate packets between begin_seq and end_seq.

Returns –

TRUE if the report block is correctly parsed.

Since : 1.16

#### GstRtp.RTCPPacket.prototype.xr_get_summary_pkt

    function GstRtp.RTCPPacket.prototype.xr_get_summary_pkt(lost_packets: Number, dup_packets: Number): {
        // javascript wrapper for 'gst_rtcp_packet_xr_get_summary_pkt'
    }

Get the number of lost or duplicate packets. If the flag in a block header is set as zero, lost_packets or dup_packets will be zero.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has Statics Summary Report Block.

`lost_packets` (Number) –

the number of lost packets between begin_seq and end_seq.

`dup_packets` (Number) –

the number of duplicate packets between begin_seq and end_seq.

Returns (Number) –

true if the report block is correctly parsed.

Since : 1.16

#### GstRtp.RTCPPacket.xr_get_summary_pkt

    def GstRtp.RTCPPacket.xr_get_summary_pkt (self, lost_packets, dup_packets):
        #python wrapper for 'gst_rtcp_packet_xr_get_summary_pkt'

Get the number of lost or duplicate packets. If the flag in a block header is set as zero, lost_packets or dup_packets will be zero.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has Statics Summary Report Block.

`lost_packets` (int) –

the number of lost packets between begin_seq and end_seq.

`dup_packets` (int) –

the number of duplicate packets between begin_seq and end_seq.

Returns (bool) –

True if the report block is correctly parsed.

Since : 1.16

#### gst_rtcp_packet_xr_get_summary_ttl

    gboolean
    gst_rtcp_packet_xr_get_summary_ttl (GstRTCPPacket * packet,
                                        gboolean * is_ipv4,
                                        guint8 * min_ttl,
                                        guint8 * max_ttl,
                                        guint8 * mean_ttl,
                                        guint8 * dev_ttl)

Extract the value of ttl for ipv4, or hop limit for ipv6.

Parameters:

`packet` –

a valid XR GstRTCPPacket which has Statics Summary Report Block.

`is_ipv4` –

the flag to indicate that the return values are ipv4 ttl or ipv6 hop limits.

`min_ttl` –

the minimum TTL or Hop Limit value of data packets between two sequences.

`max_ttl` –

the maximum TTL or Hop Limit value of data packets between two sequences.

`mean_ttl` –

the mean TTL or Hop Limit value of data packets between two sequences.

`dev_ttl` –

the standard deviation of the TTL or Hop Limit value of data packets between two sequences.

Returns –

TRUE if the report block is correctly parsed.

Since : 1.16

#### GstRtp.RTCPPacket.prototype.xr_get_summary_ttl

    function GstRtp.RTCPPacket.prototype.xr_get_summary_ttl(is_ipv4: Number, min_ttl: Number, max_ttl: Number, mean_ttl: Number, dev_ttl: Number): {
        // javascript wrapper for 'gst_rtcp_packet_xr_get_summary_ttl'
    }

Extract the value of ttl for ipv4, or hop limit for ipv6.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has Statics Summary Report Block.

`is_ipv4` (Number) –

the flag to indicate that the return values are ipv4 ttl or ipv6 hop limits.

`min_ttl` (Number) –

the minimum TTL or Hop Limit value of data packets between two sequences.

`max_ttl` (Number) –

the maximum TTL or Hop Limit value of data packets between two sequences.

`mean_ttl` (Number) –

the mean TTL or Hop Limit value of data packets between two sequences.

`dev_ttl` (Number) –

the standard deviation of the TTL or Hop Limit value of data packets between two sequences.

Returns (Number) –

true if the report block is correctly parsed.

Since : 1.16

#### GstRtp.RTCPPacket.xr_get_summary_ttl

    def GstRtp.RTCPPacket.xr_get_summary_ttl (self, is_ipv4, min_ttl, max_ttl, mean_ttl, dev_ttl):
        #python wrapper for 'gst_rtcp_packet_xr_get_summary_ttl'

Extract the value of ttl for ipv4, or hop limit for ipv6.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has Statics Summary Report Block.

`is_ipv4` (bool) –

the flag to indicate that the return values are ipv4 ttl or ipv6 hop limits.

`min_ttl` (int) –

the minimum TTL or Hop Limit value of data packets between two sequences.

`max_ttl` (int) –

the maximum TTL or Hop Limit value of data packets between two sequences.

`mean_ttl` (int) –

the mean TTL or Hop Limit value of data packets between two sequences.

`dev_ttl` (int) –

the standard deviation of the TTL or Hop Limit value of data packets between two sequences.

Returns (bool) –

True if the report block is correctly parsed.

Since : 1.16

#### gst_rtcp_packet_xr_get_voip_burst_metrics

    gboolean
    gst_rtcp_packet_xr_get_voip_burst_metrics (GstRTCPPacket * packet,
                                               guint8 * burst_density,
                                               guint8 * gap_density,
                                               guint16 * burst_duration,
                                               guint16 * gap_duration)

Parameters:

`packet` –

a valid XR GstRTCPPacket which has VoIP Metrics Report Block.

`burst_density` –

the fraction of RTP data packets within burst periods.

`gap_density` –

the fraction of RTP data packets within inter-burst gaps.

`burst_duration` –

the mean duration(ms) of the burst periods.

`gap_duration` –

the mean duration(ms) of the gap periods.

Returns –

TRUE if the report block is correctly parsed.

Since : 1.16

#### GstRtp.RTCPPacket.prototype.xr_get_voip_burst_metrics

    function GstRtp.RTCPPacket.prototype.xr_get_voip_burst_metrics(burst_density: Number, gap_density: Number, burst_duration: Number, gap_duration: Number): {
        // javascript wrapper for 'gst_rtcp_packet_xr_get_voip_burst_metrics'
    }

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has VoIP Metrics Report Block.

`burst_density` (Number) –

the fraction of RTP data packets within burst periods.

`gap_density` (Number) –

the fraction of RTP data packets within inter-burst gaps.

`burst_duration` (Number) –

the mean duration(ms) of the burst periods.

`gap_duration` (Number) –

the mean duration(ms) of the gap periods.

Returns (Number) –

true if the report block is correctly parsed.

Since : 1.16

#### GstRtp.RTCPPacket.xr_get_voip_burst_metrics

    def GstRtp.RTCPPacket.xr_get_voip_burst_metrics (self, burst_density, gap_density, burst_duration, gap_duration):
        #python wrapper for 'gst_rtcp_packet_xr_get_voip_burst_metrics'

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has VoIP Metrics Report Block.

`burst_density` (int) –

the fraction of RTP data packets within burst periods.

`gap_density` (int) –

the fraction of RTP data packets within inter-burst gaps.

`burst_duration` (int) –

the mean duration(ms) of the burst periods.

`gap_duration` (int) –

the mean duration(ms) of the gap periods.

Returns (bool) –

True if the report block is correctly parsed.

Since : 1.16

#### gst_rtcp_packet_xr_get_voip_configuration_params

    gboolean
    gst_rtcp_packet_xr_get_voip_configuration_params (GstRTCPPacket * packet,
                                                      guint8 * gmin,
                                                      guint8 * rx_config)

Parameters:

`packet` –

a valid XR GstRTCPPacket which has VoIP Metrics Report Block.

`gmin` –

the gap threshold.

`rx_config` –

the receiver configuration byte.

Returns –

TRUE if the report block is correctly parsed.

Since : 1.16

#### GstRtp.RTCPPacket.prototype.xr_get_voip_configuration_params

    function GstRtp.RTCPPacket.prototype.xr_get_voip_configuration_params(gmin: Number, rx_config: Number): {
        // javascript wrapper for 'gst_rtcp_packet_xr_get_voip_configuration_params'
    }

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has VoIP Metrics Report Block.

`gmin` (Number) –

the gap threshold.

`rx_config` (Number) –

the receiver configuration byte.

Returns (Number) –

true if the report block is correctly parsed.

Since : 1.16

#### GstRtp.RTCPPacket.xr_get_voip_configuration_params

    def GstRtp.RTCPPacket.xr_get_voip_configuration_params (self, gmin, rx_config):
        #python wrapper for 'gst_rtcp_packet_xr_get_voip_configuration_params'

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has VoIP Metrics Report Block.

`gmin` (int) –

the gap threshold.

`rx_config` (int) –

the receiver configuration byte.

Returns (bool) –

True if the report block is correctly parsed.

Since : 1.16

#### gst_rtcp_packet_xr_get_voip_delay_metrics

    gboolean
    gst_rtcp_packet_xr_get_voip_delay_metrics (GstRTCPPacket * packet,
                                               guint16 * roundtrip_delay,
                                               guint16 * end_system_delay)

Parameters:

`packet` –

a valid XR GstRTCPPacket which has VoIP Metrics Report Block.

`roundtrip_delay` –

the most recently calculated round trip time between RTP interfaces(ms)

`end_system_delay` –

the most recently estimated end system delay(ms)

Returns –

TRUE if the report block is correctly parsed.

Since : 1.16

#### GstRtp.RTCPPacket.prototype.xr_get_voip_delay_metrics

    function GstRtp.RTCPPacket.prototype.xr_get_voip_delay_metrics(roundtrip_delay: Number, end_system_delay: Number): {
        // javascript wrapper for 'gst_rtcp_packet_xr_get_voip_delay_metrics'
    }

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has VoIP Metrics Report Block.

`roundtrip_delay` (Number) –

the most recently calculated round trip time between RTP interfaces(ms)

`end_system_delay` (Number) –

the most recently estimated end system delay(ms)

Returns (Number) –

true if the report block is correctly parsed.

Since : 1.16

#### GstRtp.RTCPPacket.xr_get_voip_delay_metrics

    def GstRtp.RTCPPacket.xr_get_voip_delay_metrics (self, roundtrip_delay, end_system_delay):
        #python wrapper for 'gst_rtcp_packet_xr_get_voip_delay_metrics'

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has VoIP Metrics Report Block.

`roundtrip_delay` (int) –

the most recently calculated round trip time between RTP interfaces(ms)

`end_system_delay` (int) –

the most recently estimated end system delay(ms)

Returns (bool) –

True if the report block is correctly parsed.

Since : 1.16

#### gst_rtcp_packet_xr_get_voip_jitter_buffer_params

    gboolean
    gst_rtcp_packet_xr_get_voip_jitter_buffer_params (GstRTCPPacket * packet,
                                                      guint16 * jb_nominal,
                                                      guint16 * jb_maximum,
                                                      guint16 * jb_abs_max)

Parameters:

`packet` –

a valid XR GstRTCPPacket which has VoIP Metrics Report Block.

`jb_nominal` –

the current nominal jitter buffer delay(ms)

`jb_maximum` –

the current maximum jitter buffer delay(ms)

`jb_abs_max` –

the absolute maximum delay(ms)

Returns –

TRUE if the report block is correctly parsed.

Since : 1.16

#### GstRtp.RTCPPacket.prototype.xr_get_voip_jitter_buffer_params

    function GstRtp.RTCPPacket.prototype.xr_get_voip_jitter_buffer_params(jb_nominal: Number, jb_maximum: Number, jb_abs_max: Number): {
        // javascript wrapper for 'gst_rtcp_packet_xr_get_voip_jitter_buffer_params'
    }

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has VoIP Metrics Report Block.

`jb_nominal` (Number) –

the current nominal jitter buffer delay(ms)

`jb_maximum` (Number) –

the current maximum jitter buffer delay(ms)

`jb_abs_max` (Number) –

the absolute maximum delay(ms)

Returns (Number) –

true if the report block is correctly parsed.

Since : 1.16

#### GstRtp.RTCPPacket.xr_get_voip_jitter_buffer_params

    def GstRtp.RTCPPacket.xr_get_voip_jitter_buffer_params (self, jb_nominal, jb_maximum, jb_abs_max):
        #python wrapper for 'gst_rtcp_packet_xr_get_voip_jitter_buffer_params'

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has VoIP Metrics Report Block.

`jb_nominal` (int) –

the current nominal jitter buffer delay(ms)

`jb_maximum` (int) –

the current maximum jitter buffer delay(ms)

`jb_abs_max` (int) –

the absolute maximum delay(ms)

Returns (bool) –

True if the report block is correctly parsed.

Since : 1.16

#### gst_rtcp_packet_xr_get_voip_metrics_ssrc

    gboolean
    gst_rtcp_packet_xr_get_voip_metrics_ssrc (GstRTCPPacket * packet,
                                              guint32 * ssrc)

Parameters:

`packet` –

a valid XR GstRTCPPacket which has VoIP Metrics Report Block.

`ssrc` –

the SSRC of source

Returns –

TRUE if the report block is correctly parsed.

Since : 1.16

#### GstRtp.RTCPPacket.prototype.xr_get_voip_metrics_ssrc

    function GstRtp.RTCPPacket.prototype.xr_get_voip_metrics_ssrc(ssrc: Number): {
        // javascript wrapper for 'gst_rtcp_packet_xr_get_voip_metrics_ssrc'
    }

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has VoIP Metrics Report Block.

`ssrc` (Number) –

the SSRC of source

Returns (Number) –

true if the report block is correctly parsed.

Since : 1.16

#### GstRtp.RTCPPacket.xr_get_voip_metrics_ssrc

    def GstRtp.RTCPPacket.xr_get_voip_metrics_ssrc (self, ssrc):
        #python wrapper for 'gst_rtcp_packet_xr_get_voip_metrics_ssrc'

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has VoIP Metrics Report Block.

`ssrc` (int) –

the SSRC of source

Returns (bool) –

True if the report block is correctly parsed.

Since : 1.16

#### gst_rtcp_packet_xr_get_voip_packet_metrics

    gboolean
    gst_rtcp_packet_xr_get_voip_packet_metrics (GstRTCPPacket * packet,
                                                guint8 * loss_rate,
                                                guint8 * discard_rate)

Parameters:

`packet` –

a valid XR GstRTCPPacket which has VoIP Metrics Report Block.

`loss_rate` –

the fraction of RTP data packets from the source lost.

`discard_rate` –

the fraction of RTP data packets from the source that have been discarded.

Returns –

TRUE if the report block is correctly parsed.

Since : 1.16

#### GstRtp.RTCPPacket.prototype.xr_get_voip_packet_metrics

    function GstRtp.RTCPPacket.prototype.xr_get_voip_packet_metrics(loss_rate: Number, discard_rate: Number): {
        // javascript wrapper for 'gst_rtcp_packet_xr_get_voip_packet_metrics'
    }

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has VoIP Metrics Report Block.

`loss_rate` (Number) –

the fraction of RTP data packets from the source lost.

`discard_rate` (Number) –

the fraction of RTP data packets from the source that have been discarded.

Returns (Number) –

true if the report block is correctly parsed.

Since : 1.16

#### GstRtp.RTCPPacket.xr_get_voip_packet_metrics

    def GstRtp.RTCPPacket.xr_get_voip_packet_metrics (self, loss_rate, discard_rate):
        #python wrapper for 'gst_rtcp_packet_xr_get_voip_packet_metrics'

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has VoIP Metrics Report Block.

`loss_rate` (int) –

the fraction of RTP data packets from the source lost.

`discard_rate` (int) –

the fraction of RTP data packets from the source that have been discarded.

Returns (bool) –

True if the report block is correctly parsed.

Since : 1.16

#### gst_rtcp_packet_xr_get_voip_quality_metrics

    gboolean
    gst_rtcp_packet_xr_get_voip_quality_metrics (GstRTCPPacket * packet,
                                                 guint8 * r_factor,
                                                 guint8 * ext_r_factor,
                                                 guint8 * mos_lq,
                                                 guint8 * mos_cq)

Parameters:

`packet` –

a valid XR GstRTCPPacket which has VoIP Metrics Report Block.

`r_factor` –

the R factor is a voice quality metric describing the segment of the call.

`ext_r_factor` –

the external R factor is a voice quality metric.

`mos_lq` –

the estimated mean opinion score for listening quality.

`mos_cq` –

the estimated mean opinion score for conversational quality.

Returns –

TRUE if the report block is correctly parsed.

Since : 1.16

#### GstRtp.RTCPPacket.prototype.xr_get_voip_quality_metrics

    function GstRtp.RTCPPacket.prototype.xr_get_voip_quality_metrics(r_factor: Number, ext_r_factor: Number, mos_lq: Number, mos_cq: Number): {
        // javascript wrapper for 'gst_rtcp_packet_xr_get_voip_quality_metrics'
    }

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has VoIP Metrics Report Block.

`r_factor` (Number) –

the R factor is a voice quality metric describing the segment of the call.

`ext_r_factor` (Number) –

the external R factor is a voice quality metric.

`mos_lq` (Number) –

the estimated mean opinion score for listening quality.

`mos_cq` (Number) –

the estimated mean opinion score for conversational quality.

Returns (Number) –

true if the report block is correctly parsed.

Since : 1.16

#### GstRtp.RTCPPacket.xr_get_voip_quality_metrics

    def GstRtp.RTCPPacket.xr_get_voip_quality_metrics (self, r_factor, ext_r_factor, mos_lq, mos_cq):
        #python wrapper for 'gst_rtcp_packet_xr_get_voip_quality_metrics'

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has VoIP Metrics Report Block.

`r_factor` (int) –

the R factor is a voice quality metric describing the segment of the call.

`ext_r_factor` (int) –

the external R factor is a voice quality metric.

`mos_lq` (int) –

the estimated mean opinion score for listening quality.

`mos_cq` (int) –

the estimated mean opinion score for conversational quality.

Returns (bool) –

True if the report block is correctly parsed.

Since : 1.16

#### gst_rtcp_packet_xr_get_voip_signal_metrics

    gboolean
    gst_rtcp_packet_xr_get_voip_signal_metrics (GstRTCPPacket * packet,
                                                guint8 * signal_level,
                                                guint8 * noise_level,
                                                guint8 * rerl,
                                                guint8 * gmin)

Parameters:

`packet` –

a valid XR GstRTCPPacket which has VoIP Metrics Report Block.

`signal_level` –

the ratio of the signal level to a 0 dBm reference.

`noise_level` –

the ratio of the silent period background noise level to a 0 dBm reference.

`rerl` –

the residual echo return loss value.

`gmin` –

the gap threshold.

Returns –

TRUE if the report block is correctly parsed.

Since : 1.16

#### GstRtp.RTCPPacket.prototype.xr_get_voip_signal_metrics

    function GstRtp.RTCPPacket.prototype.xr_get_voip_signal_metrics(signal_level: Number, noise_level: Number, rerl: Number, gmin: Number): {
        // javascript wrapper for 'gst_rtcp_packet_xr_get_voip_signal_metrics'
    }

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has VoIP Metrics Report Block.

`signal_level` (Number) –

the ratio of the signal level to a 0 dBm reference.

`noise_level` (Number) –

the ratio of the silent period background noise level to a 0 dBm reference.

`rerl` (Number) –

the residual echo return loss value.

`gmin` (Number) –

the gap threshold.

Returns (Number) –

true if the report block is correctly parsed.

Since : 1.16

#### GstRtp.RTCPPacket.xr_get_voip_signal_metrics

    def GstRtp.RTCPPacket.xr_get_voip_signal_metrics (self, signal_level, noise_level, rerl, gmin):
        #python wrapper for 'gst_rtcp_packet_xr_get_voip_signal_metrics'

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket which has VoIP Metrics Report Block.

`signal_level` (int) –

the ratio of the signal level to a 0 dBm reference.

`noise_level` (int) –

the ratio of the silent period background noise level to a 0 dBm reference.

`rerl` (int) –

the residual echo return loss value.

`gmin` (int) –

the gap threshold.

Returns (bool) –

True if the report block is correctly parsed.

Since : 1.16

#### gst_rtcp_packet_xr_next_rb

    gboolean
    gst_rtcp_packet_xr_next_rb (GstRTCPPacket * packet)

Move to the next extended report block in XR packet.

Parameters:

`packet` –

a valid XR GstRTCPPacket

Returns –

TRUE if there was a next extended report block.

Since : 1.16

#### GstRtp.RTCPPacket.prototype.xr_next_rb

    function GstRtp.RTCPPacket.prototype.xr_next_rb(): {
        // javascript wrapper for 'gst_rtcp_packet_xr_next_rb'
    }

Move to the next extended report block in XR packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket

Returns (Number) –

TRUE if there was a next extended report block.

Since : 1.16

#### GstRtp.RTCPPacket.xr_next_rb

    def GstRtp.RTCPPacket.xr_next_rb (self):
        #python wrapper for 'gst_rtcp_packet_xr_next_rb'

Move to the next extended report block in XR packet.

Parameters:

`packet` (GstRtp.RTCPPacket) –

a valid XR GstRtp.RTCPPacket

Returns (bool) –

TRUE if there was a next extended report block.

Since : 1.16

## Functions

### gst_rtcp_ntp_to_unix

    guint64
    gst_rtcp_ntp_to_unix (guint64 ntptime)

Converts an NTP time to UNIX nanoseconds. ntptime can typically be the NTP time of an SR RTCP message and contains, in the upper 32 bits, the number of seconds since 1900 and, in the lower 32 bits, the fractional seconds. The resulting value will be the number of nanoseconds since 1970.

Parameters:

`ntptime` –

an NTP timestamp

Returns –

the UNIX time for ntptime in nanoseconds.

### GstRtp.prototype.rtcp_ntp_to_unix

    function GstRtp.prototype.rtcp_ntp_to_unix(ntptime: Number): {
        // javascript wrapper for 'gst_rtcp_ntp_to_unix'
    }

Converts an NTP time to UNIX nanoseconds. ntptime can typically be the NTP time of an SR RTCP message and contains, in the upper 32 bits, the number of seconds since 1900 and, in the lower 32 bits, the fractional seconds. The resulting value will be the number of nanoseconds since 1970.

Parameters:

`ntptime` (Number) –

an NTP timestamp

Returns (Number) –

the UNIX time for ntptime in nanoseconds.

### GstRtp.rtcp_ntp_to_unix

    def GstRtp.rtcp_ntp_to_unix (ntptime):
        #python wrapper for 'gst_rtcp_ntp_to_unix'

Converts an NTP time to UNIX nanoseconds. ntptime can typically be the NTP time of an SR RTCP message and contains, in the upper 32 bits, the number of seconds since 1900 and, in the lower 32 bits, the fractional seconds. The resulting value will be the number of nanoseconds since 1970.

Parameters:

`ntptime` (int) –

an NTP timestamp

Returns (int) –

the UNIX time for ntptime in nanoseconds.

### gst_rtcp_sdes_name_to_type

    GstRTCPSDESType
    gst_rtcp_sdes_name_to_type (const gchar * name)

Convert name into a GstRTCPSDESType. name is typically a key in a GstStructure containing SDES items.

Parameters:

`name` –

a SDES name

Returns –

the GstRTCPSDESType for name or GST_RTCP_SDES_PRIV when name is a private sdes item.

### GstRtp.prototype.rtcp_sdes_name_to_type

    function GstRtp.prototype.rtcp_sdes_name_to_type(name: String): {
        // javascript wrapper for 'gst_rtcp_sdes_name_to_type'
    }

Convert name into a GstRTCPSDESType. name is typically a key in a Gst.Structure containing SDES items.

Parameters:

`name` (String) –

a SDES name

Returns (GstRtp.RTCPSDESType) –

the GstRtp.RTCPSDESType for name or GstRtp.RTCPSDESType.PRIV when name is a private sdes item.

### GstRtp.rtcp_sdes_name_to_type

    def GstRtp.rtcp_sdes_name_to_type (name):
        #python wrapper for 'gst_rtcp_sdes_name_to_type'

Convert name into a GstRTCPSDESType. name is typically a key in a Gst.Structure containing SDES items.

Parameters:

`name` (str) –

a SDES name

Returns (GstRtp.RTCPSDESType) –

the GstRtp.RTCPSDESType for name or GstRtp.RTCPSDESType.PRIV when name is a private sdes item.

### gst_rtcp_sdes_type_to_name

    const gchar *
    gst_rtcp_sdes_type_to_name (GstRTCPSDESType type)

Converts type to the string equivalent. The string is typically used as a key in a GstStructure containing SDES items.

Parameters:

`type` –

a GstRTCPSDESType

Returns –

the string equivalent of type

### GstRtp.prototype.rtcp_sdes_type_to_name

    function GstRtp.prototype.rtcp_sdes_type_to_name(type: GstRtp.RTCPSDESType): {
        // javascript wrapper for 'gst_rtcp_sdes_type_to_name'
    }

Converts type to the string equivalent. The string is typically used as a key in a Gst.Structure containing SDES items.

Parameters:

`type` (GstRtp.RTCPSDESType) –

a GstRtp.RTCPSDESType

Returns (String) –

the string equivalent of type

### GstRtp.rtcp_sdes_type_to_name

    def GstRtp.rtcp_sdes_type_to_name (type):
        #python wrapper for 'gst_rtcp_sdes_type_to_name'

Converts type to the string equivalent. The string is typically used as a key in a Gst.Structure containing SDES items.

Parameters:

`type` (GstRtp.RTCPSDESType) –

a GstRtp.RTCPSDESType

Returns (str) –

the string equivalent of type

### gst_rtcp_unix_to_ntp

    guint64
    gst_rtcp_unix_to_ntp (guint64 unixtime)

Converts a UNIX timestamp in nanoseconds to an NTP time. The caller should pass a value with nanoseconds since 1970. The NTP time will, in the upper 32 bits, contain the number of seconds since 1900 and, in the lower 32 bits, the fractional seconds. The resulting value can be used as an ntptime for constructing SR RTCP packets.

Parameters:

`unixtime` –

an UNIX timestamp in nanoseconds

Returns –

the NTP time for unixtime.

### GstRtp.prototype.rtcp_unix_to_ntp

    function GstRtp.prototype.rtcp_unix_to_ntp(unixtime: Number): {
        // javascript wrapper for 'gst_rtcp_unix_to_ntp'
    }

Converts a UNIX timestamp in nanoseconds to an NTP time. The caller should pass a value with nanoseconds since 1970. The NTP time will, in the upper 32 bits, contain the number of seconds since 1900 and, in the lower 32 bits, the fractional seconds. The resulting value can be used as an ntptime for constructing SR RTCP packets.

Parameters:

`unixtime` (Number) –

an UNIX timestamp in nanoseconds

Returns (Number) –

the NTP time for unixtime.

### GstRtp.rtcp_unix_to_ntp

    def GstRtp.rtcp_unix_to_ntp (unixtime):
        #python wrapper for 'gst_rtcp_unix_to_ntp'

Converts a UNIX timestamp in nanoseconds to an NTP time. The caller should pass a value with nanoseconds since 1970. The NTP time will, in the upper 32 bits, contain the number of seconds since 1900 and, in the lower 32 bits, the fractional seconds. The resulting value can be used as an ntptime for constructing SR RTCP packets.

Parameters:

`unixtime` (int) –

an UNIX timestamp in nanoseconds

Returns (int) –

the NTP time for unixtime.

## Enumerations

### GstRTCPFBType

Different types of feedback messages.

##### Members

`GST_RTCP_FB_TYPE_INVALID` (0) –

Invalid type

`GST_RTCP_RTPFB_TYPE_NACK` (1) –

Generic NACK

`GST_RTCP_RTPFB_TYPE_TMMBR` (3) –

Temporary Maximum Media Stream Bit Rate Request

`GST_RTCP_RTPFB_TYPE_TMMBN` (4) –

Temporary Maximum Media Stream Bit Rate Notification

`GST_RTCP_RTPFB_TYPE_RTCP_SR_REQ` (5) –

Request an SR packet for early synchronization

`GST_RTCP_RTPFB_TYPE_TWCC` (15) –
No description available
`GST_RTCP_PSFB_TYPE_PLI` (1) –

Picture Loss Indication

`GST_RTCP_PSFB_TYPE_SLI` (2) –

Slice Loss Indication

`GST_RTCP_PSFB_TYPE_RPSI` (3) –

Reference Picture Selection Indication

`GST_RTCP_PSFB_TYPE_AFB` (15) –

Application layer Feedback

`GST_RTCP_PSFB_TYPE_FIR` (4) –

Full Intra Request Command

`GST_RTCP_PSFB_TYPE_TSTR` (5) –

Temporal-Spatial Trade-off Request

`GST_RTCP_PSFB_TYPE_TSTN` (6) –

Temporal-Spatial Trade-off Notification

`GST_RTCP_PSFB_TYPE_VBCN` (7) –

Video Back Channel Message

### GstRtp.RTCPFBType

Different types of feedback messages.

##### Members

`GstRtp.RTCPFBType.FB_TYPE_INVALID` (0) –

Invalid type

`GstRtp.RTCPFBType.RTPFB_TYPE_NACK` (1) –

Generic NACK

`GstRtp.RTCPFBType.RTPFB_TYPE_TMMBR` (3) –

Temporary Maximum Media Stream Bit Rate Request

`GstRtp.RTCPFBType.RTPFB_TYPE_TMMBN` (4) –

Temporary Maximum Media Stream Bit Rate Notification

`GstRtp.RTCPFBType.RTPFB_TYPE_RTCP_SR_REQ` (5) –

Request an SR packet for early synchronization

`GstRtp.RTCPFBType.RTPFB_TYPE_TWCC` (15) –
No description available
`GstRtp.RTCPFBType.PSFB_TYPE_PLI` (1) –

Picture Loss Indication

`GstRtp.RTCPFBType.PSFB_TYPE_SLI` (2) –

Slice Loss Indication

`GstRtp.RTCPFBType.PSFB_TYPE_RPSI` (3) –

Reference Picture Selection Indication

`GstRtp.RTCPFBType.PSFB_TYPE_AFB` (15) –

Application layer Feedback

`GstRtp.RTCPFBType.PSFB_TYPE_FIR` (4) –

Full Intra Request Command

`GstRtp.RTCPFBType.PSFB_TYPE_TSTR` (5) –

Temporal-Spatial Trade-off Request

`GstRtp.RTCPFBType.PSFB_TYPE_TSTN` (6) –

Temporal-Spatial Trade-off Notification

`GstRtp.RTCPFBType.PSFB_TYPE_VBCN` (7) –

Video Back Channel Message

### GstRtp.RTCPFBType

Different types of feedback messages.

##### Members

`GstRtp.RTCPFBType.FB_TYPE_INVALID` (0) –

Invalid type

`GstRtp.RTCPFBType.RTPFB_TYPE_NACK` (1) –

Generic NACK

`GstRtp.RTCPFBType.RTPFB_TYPE_TMMBR` (3) –

Temporary Maximum Media Stream Bit Rate Request

`GstRtp.RTCPFBType.RTPFB_TYPE_TMMBN` (4) –

Temporary Maximum Media Stream Bit Rate Notification

`GstRtp.RTCPFBType.RTPFB_TYPE_RTCP_SR_REQ` (5) –

Request an SR packet for early synchronization

`GstRtp.RTCPFBType.RTPFB_TYPE_TWCC` (15) –
No description available
`GstRtp.RTCPFBType.PSFB_TYPE_PLI` (1) –

Picture Loss Indication

`GstRtp.RTCPFBType.PSFB_TYPE_SLI` (2) –

Slice Loss Indication

`GstRtp.RTCPFBType.PSFB_TYPE_RPSI` (3) –

Reference Picture Selection Indication

`GstRtp.RTCPFBType.PSFB_TYPE_AFB` (15) –

Application layer Feedback

`GstRtp.RTCPFBType.PSFB_TYPE_FIR` (4) –

Full Intra Request Command

`GstRtp.RTCPFBType.PSFB_TYPE_TSTR` (5) –

Temporal-Spatial Trade-off Request

`GstRtp.RTCPFBType.PSFB_TYPE_TSTN` (6) –

Temporal-Spatial Trade-off Notification

`GstRtp.RTCPFBType.PSFB_TYPE_VBCN` (7) –

Video Back Channel Message

### GstRTCPSDESType

Different types of SDES content.

##### Members

`GST_RTCP_SDES_INVALID` (-1) –

Invalid SDES entry

`GST_RTCP_SDES_END` (0) –

End of SDES list

`GST_RTCP_SDES_CNAME` (1) –

Canonical name

`GST_RTCP_SDES_NAME` (2) –

User name

`GST_RTCP_SDES_EMAIL` (3) –

User's electronic mail address

`GST_RTCP_SDES_PHONE` (4) –

User's phone number

`GST_RTCP_SDES_LOC` (5) –

Geographic user location

`GST_RTCP_SDES_TOOL` (6) –

Name of application or tool

`GST_RTCP_SDES_NOTE` (7) –

Notice about the source

`GST_RTCP_SDES_PRIV` (8) –

Private extensions

`GST_RTCP_SDES_H323_CADDR` (9) –

H.323 callable address

(Since: 1.20:)
`GST_RTCP_SDES_APSI` (10) –

Application Specific Identifier (RFC6776)

(Since: 1.20:)
`GST_RTCP_SDES_RGRP` (11) –

Reporting Group Identifier (RFC8861)

(Since: 1.20:)
`GST_RTCP_SDES_RTP_STREAM_ID` (12) –

RtpStreamId SDES item (RFC8852).

(Since: 1.20:)
`GST_RTCP_SDES_REPAIRED_RTP_STREAM_ID` (13) –

RepairedRtpStreamId SDES item (RFC8852).

(Since: 1.20:)
`GST_RTCP_SDES_CCID` (14) –

CLUE CaptId (RFC8849)

(Since: 1.20:)
`GST_RTCP_SDES_MID` (15) –

MID SDES item (RFC8843).

(Since: 1.20:)

### GstRtp.RTCPSDESType

Different types of SDES content.

##### Members

`GstRtp.RTCPSDESType.INVALID` (-1) –

Invalid SDES entry

`GstRtp.RTCPSDESType.END` (0) –

End of SDES list

`GstRtp.RTCPSDESType.CNAME` (1) –

Canonical name

`GstRtp.RTCPSDESType.NAME` (2) –

User name

`GstRtp.RTCPSDESType.EMAIL` (3) –

User's electronic mail address

`GstRtp.RTCPSDESType.PHONE` (4) –

User's phone number

`GstRtp.RTCPSDESType.LOC` (5) –

Geographic user location

`GstRtp.RTCPSDESType.TOOL` (6) –

Name of application or tool

`GstRtp.RTCPSDESType.NOTE` (7) –

Notice about the source

`GstRtp.RTCPSDESType.PRIV` (8) –

Private extensions

`GstRtp.RTCPSDESType.H323_CADDR` (9) –

H.323 callable address

(Since: 1.20:)
`GstRtp.RTCPSDESType.APSI` (10) –

Application Specific Identifier (RFC6776)

(Since: 1.20:)
`GstRtp.RTCPSDESType.RGRP` (11) –

Reporting Group Identifier (RFC8861)

(Since: 1.20:)
`GstRtp.RTCPSDESType.RTP_STREAM_ID` (12) –

RtpStreamId SDES item (RFC8852).

(Since: 1.20:)
`GstRtp.RTCPSDESType.REPAIRED_RTP_STREAM_ID` (13) –

RepairedRtpStreamId SDES item (RFC8852).

(Since: 1.20:)
`GstRtp.RTCPSDESType.CCID` (14) –

CLUE CaptId (RFC8849)

(Since: 1.20:)
`GstRtp.RTCPSDESType.MID` (15) –

MID SDES item (RFC8843).

(Since: 1.20:)

### GstRtp.RTCPSDESType

Different types of SDES content.

##### Members

`GstRtp.RTCPSDESType.INVALID` (-1) –

Invalid SDES entry

`GstRtp.RTCPSDESType.END` (0) –

End of SDES list

`GstRtp.RTCPSDESType.CNAME` (1) –

Canonical name

`GstRtp.RTCPSDESType.NAME` (2) –

User name

`GstRtp.RTCPSDESType.EMAIL` (3) –

User's electronic mail address

`GstRtp.RTCPSDESType.PHONE` (4) –

User's phone number

`GstRtp.RTCPSDESType.LOC` (5) –

Geographic user location

`GstRtp.RTCPSDESType.TOOL` (6) –

Name of application or tool

`GstRtp.RTCPSDESType.NOTE` (7) –

Notice about the source

`GstRtp.RTCPSDESType.PRIV` (8) –

Private extensions

`GstRtp.RTCPSDESType.H323_CADDR` (9) –

H.323 callable address

(Since: 1.20:)
`GstRtp.RTCPSDESType.APSI` (10) –

Application Specific Identifier (RFC6776)

(Since: 1.20:)
`GstRtp.RTCPSDESType.RGRP` (11) –

Reporting Group Identifier (RFC8861)

(Since: 1.20:)
`GstRtp.RTCPSDESType.RTP_STREAM_ID` (12) –

RtpStreamId SDES item (RFC8852).

(Since: 1.20:)
`GstRtp.RTCPSDESType.REPAIRED_RTP_STREAM_ID` (13) –

RepairedRtpStreamId SDES item (RFC8852).

(Since: 1.20:)
`GstRtp.RTCPSDESType.CCID` (14) –

CLUE CaptId (RFC8849)

(Since: 1.20:)
`GstRtp.RTCPSDESType.MID` (15) –

MID SDES item (RFC8843).

(Since: 1.20:)

### GstRTCPType

Different RTCP packet types.

##### Members

`GST_RTCP_TYPE_INVALID` (0) –

Invalid type

`GST_RTCP_TYPE_SR` (200) –

Sender report

`GST_RTCP_TYPE_RR` (201) –

Receiver report

`GST_RTCP_TYPE_SDES` (202) –

Source description

`GST_RTCP_TYPE_BYE` (203) –

Goodbye

`GST_RTCP_TYPE_APP` (204) –

Application defined

`GST_RTCP_TYPE_RTPFB` (205) –

Transport layer feedback.

`GST_RTCP_TYPE_PSFB` (206) –

Payload-specific feedback.

`GST_RTCP_TYPE_XR` (207) –

Extended report.

### GstRtp.RTCPType

Different RTCP packet types.

##### Members

`GstRtp.RTCPType.INVALID` (0) –

Invalid type

`GstRtp.RTCPType.SR` (200) –

Sender report

`GstRtp.RTCPType.RR` (201) –

Receiver report

`GstRtp.RTCPType.SDES` (202) –

Source description

`GstRtp.RTCPType.BYE` (203) –

Goodbye

`GstRtp.RTCPType.APP` (204) –

Application defined

`GstRtp.RTCPType.RTPFB` (205) –

Transport layer feedback.

`GstRtp.RTCPType.PSFB` (206) –

Payload-specific feedback.

`GstRtp.RTCPType.XR` (207) –

Extended report.

### GstRtp.RTCPType

Different RTCP packet types.

##### Members

`GstRtp.RTCPType.INVALID` (0) –

Invalid type

`GstRtp.RTCPType.SR` (200) –

Sender report

`GstRtp.RTCPType.RR` (201) –

Receiver report

`GstRtp.RTCPType.SDES` (202) –

Source description

`GstRtp.RTCPType.BYE` (203) –

Goodbye

`GstRtp.RTCPType.APP` (204) –

Application defined

`GstRtp.RTCPType.RTPFB` (205) –

Transport layer feedback.

`GstRtp.RTCPType.PSFB` (206) –

Payload-specific feedback.

`GstRtp.RTCPType.XR` (207) –

Extended report.

### GstRTCPXRType

Types of RTCP Extended Reports, those are defined in RFC 3611 and other RFCs according to the IANA registry.

##### Members

`GST_RTCP_XR_TYPE_INVALID` (-1) –

Invalid XR Report Block

`GST_RTCP_XR_TYPE_LRLE` (1) –

Loss RLE Report Block

`GST_RTCP_XR_TYPE_DRLE` (2) –

Duplicate RLE Report Block

`GST_RTCP_XR_TYPE_PRT` (3) –

Packet Receipt Times Report Block

`GST_RTCP_XR_TYPE_RRT` (4) –

Receiver Reference Time Report Block

`GST_RTCP_XR_TYPE_DLRR` (5) –

Delay since the last Receiver Report

`GST_RTCP_XR_TYPE_SSUMM` (6) –

Statistics Summary Report Block

`GST_RTCP_XR_TYPE_VOIP_METRICS` (7) –

VoIP Metrics Report Block

Since : 1.16

### GstRtp.RTCPXRType

Types of RTCP Extended Reports, those are defined in RFC 3611 and other RFCs according to the IANA registry.

##### Members

`GstRtp.RTCPXRType.INVALID` (-1) –

Invalid XR Report Block

`GstRtp.RTCPXRType.LRLE` (1) –

Loss RLE Report Block

`GstRtp.RTCPXRType.DRLE` (2) –

Duplicate RLE Report Block

`GstRtp.RTCPXRType.PRT` (3) –

Packet Receipt Times Report Block

`GstRtp.RTCPXRType.RRT` (4) –

Receiver Reference Time Report Block

`GstRtp.RTCPXRType.DLRR` (5) –

Delay since the last Receiver Report

`GstRtp.RTCPXRType.SSUMM` (6) –

Statistics Summary Report Block

`GstRtp.RTCPXRType.VOIP_METRICS` (7) –

VoIP Metrics Report Block

Since : 1.16

### GstRtp.RTCPXRType

Types of RTCP Extended Reports, those are defined in RFC 3611 and other RFCs according to the IANA registry.

##### Members

`GstRtp.RTCPXRType.INVALID` (-1) –

Invalid XR Report Block

`GstRtp.RTCPXRType.LRLE` (1) –

Loss RLE Report Block

`GstRtp.RTCPXRType.DRLE` (2) –

Duplicate RLE Report Block

`GstRtp.RTCPXRType.PRT` (3) –

Packet Receipt Times Report Block

`GstRtp.RTCPXRType.RRT` (4) –

Receiver Reference Time Report Block

`GstRtp.RTCPXRType.DLRR` (5) –

Delay since the last Receiver Report

`GstRtp.RTCPXRType.SSUMM` (6) –

Statistics Summary Report Block

`GstRtp.RTCPXRType.VOIP_METRICS` (7) –

VoIP Metrics Report Block

Since : 1.16

## Constants

### GST_RTCP_BUFFER_INIT

    #define GST_RTCP_BUFFER_INIT { NULL, GST_MAP_INFO_INIT }

### GST_RTCP_MAX_BYE_SSRC_COUNT

    #define GST_RTCP_MAX_BYE_SSRC_COUNT   31

The maximum amount of SSRCs in a BYE packet.

### GstRtp.RTCP_MAX_BYE_SSRC_COUNT

The maximum amount of SSRCs in a BYE packet.

### GstRtp.RTCP_MAX_BYE_SSRC_COUNT

The maximum amount of SSRCs in a BYE packet.

### GST_RTCP_MAX_RB_COUNT

    #define GST_RTCP_MAX_RB_COUNT   31

The maximum amount of Receiver report blocks in RR and SR messages.

### GstRtp.RTCP_MAX_RB_COUNT

The maximum amount of Receiver report blocks in RR and SR messages.

### GstRtp.RTCP_MAX_RB_COUNT

The maximum amount of Receiver report blocks in RR and SR messages.

### GST_RTCP_MAX_SDES

    #define GST_RTCP_MAX_SDES 255

The maximum text length for an SDES item.

### GstRtp.RTCP_MAX_SDES

The maximum text length for an SDES item.

### GstRtp.RTCP_MAX_SDES

The maximum text length for an SDES item.

### GST_RTCP_MAX_SDES_ITEM_COUNT

    #define GST_RTCP_MAX_SDES_ITEM_COUNT   31

The maximum amount of SDES items.

### GstRtp.RTCP_MAX_SDES_ITEM_COUNT

The maximum amount of SDES items.

### GstRtp.RTCP_MAX_SDES_ITEM_COUNT

The maximum amount of SDES items.

### GST_RTCP_REDUCED_SIZE_VALID_MASK

    #define GST_RTCP_REDUCED_SIZE_VALID_MASK (0xc000 | 0xf8)

Mask for version and packet type pair allowing reduced size packets, basically it accepts other types than RR and SR

### GstRtp.RTCP_REDUCED_SIZE_VALID_MASK

Mask for version and packet type pair allowing reduced size packets, basically it accepts other types than RR and SR

### GstRtp.RTCP_REDUCED_SIZE_VALID_MASK

Mask for version and packet type pair allowing reduced size packets, basically it accepts other types than RR and SR

### GST_RTCP_RTPFB_TYPE_RCTP_SR_REQ

    #define GST_RTCP_RTPFB_TYPE_RCTP_SR_REQ GST_RTCP_RTPFB_TYPE_RTCP_SR_REQ

### GST_RTCP_VALID_MASK

    #define GST_RTCP_VALID_MASK (0xc000 | 0x2000 | 0xfe)

Mask for version, padding bit and packet type pair

### GstRtp.RTCP_VALID_MASK

Mask for version, padding bit and packet type pair

### GstRtp.RTCP_VALID_MASK

Mask for version, padding bit and packet type pair

### GST_RTCP_VALID_VALUE

    #define GST_RTCP_VALID_VALUE ((GST_RTCP_VERSION << 14) | GST_RTCP_TYPE_SR)

Valid value for the first two bytes of an RTCP packet after applying GST_RTCP_VALID_MASK to them.

### GstRtp.RTCP_VALID_VALUE

Valid value for the first two bytes of an RTCP packet after applying GstRtp.RTCP_VALID_MASK to them.

### GstRtp.RTCP_VALID_VALUE

Valid value for the first two bytes of an RTCP packet after applying GstRtp.RTCP_VALID_MASK to them.

### GST_RTCP_VERSION

    #define GST_RTCP_VERSION 2

The supported RTCP version 2.

### GstRtp.RTCP_VERSION

The supported RTCP version 2.

### GstRtp.RTCP_VERSION

The supported RTCP version 2.

The results of the search are